<?php

class LocationController extends \BaseController {

    /**
     * Display a listing of the resource.
     *
     * @return Response
     */
    public function index() {
	//
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return Response
     */
    public function create() {
	$data = array();
	$projectId = Input::get('project');
	$project = Project::find($projectId);

	$data['project'] = $project;
	$data['locations'] = Location::where('project_id', $projectId)
		->where('status', 'enable')
		->get();
	$data['scripts'] = array('dynamic-form.js');

	return View::make('location.form', $data);
    }

    /**
     * Store a newly created resource in storage.
     *
     * @return Response
     */
    public function store() {

	DB::transaction(function() {

	    $projectId = Input::get('project_id');
	    $location_codes = Input::get('location_codes');
	    $location_names = Input::get('location_names');
	    $location_descriptions = Input::get('location_descriptions');
	    $location_areas = Input::get('location_areas');
	    $has_water_bills = Input::get('has_water_bills');
	    $maximum_notices = Input::get('maximum_notices');
	    $utility_fees = Input::get('utility_fees');
	    $management_fees = Input::get('management_fees');
	    $location_id = Input::get('location_id');

	    // Delete before update
	    for ($i = 0; $i < count($location_codes); $i++) {
		if (strlen($location_codes[$i]) && strlen($location_names[$i])) {

		    $location = null;
		    if ($location_id[$i] != '') {
			$location = Location::find($location_id[$i]);
		    }
		    else {
			$location = new Location;
		    }
		    $location->location_code = $location_codes[$i];
		    $location->location_name = $location_names[$i];
		    $location->description = $location_descriptions[$i];
		    $location->area = $location_areas[$i];
		    $location->has_water_bill = $has_water_bills[$i];
		    $location->maximum_notice = $maximum_notices[$i];
		    $location->utility_fee = $utility_fees[$i];
		    $location->management_fee = $management_fees[$i];
		    $location->project_id = $projectId;
		    $location->save();
		}
	    }
	});

	return Redirect::action('ProjectController@index')->with('message', 'Project location has been successfully updated.');
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return Response
     */
    public function show($id) {
	//
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return Response
     */
    public function edit($id) {
	//
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  int  $id
     * @return Response
     */
    public function update($id) {
	//
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return Response
     */
    public function destroy($id) {
	$location = Location::find($id);
	$location->status = 'disable';
	$location->save();
    }

}
