<?php

class LogController extends \BaseController {

    /**
     * Display a listing of the cron logs.
     *
     * @return Response
     */
    public function cron() {
	// get all cronlogs not type admin with pagination of 10
	$cronlogs = CronLog::orderBy('cronlogs.id', 'desc');

	$filter = Input::get('status');
	if (isset($filter) && $filter != 'all') {
	    $cronlogs = $cronlogs->where('status', $filter);
	}
	else {
	    $filter = 'all';
	}
	
	$cronlogs = $cronlogs->paginate(50);
	    
	$statuses = CronLog::select('status')->distinct()->lists('status');

	// pagination links and text
	$data['paginationLinks'] = $cronlogs->appends(Input::except('page'))->links();
	$data['paginationText'] = 'Showing ' . $cronlogs->getFrom() . ' - ' . $cronlogs->getTo() . ' of ' . $cronlogs->getTotal();

	$data['cronlogs'] = $cronlogs;
	$data['showing'] = $filter;
	$data['statuses'] = $statuses;

	return View::make('cronlog.list', $data);
    }

}
