<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class ProjectsTable extends Migration {

    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up() {
	Schema::create('projects', function($table) {
	    $table->increments('id');
	    $table->string('project_code', 4)->unique();
	    $table->string('project_name')->unique();
	    $table->enum('status', array('enable', 'disable'))->default('enable');
	    $table->index('project_code');
	    $table->timestamps();
	});
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down() {
	Schema::drop('projects');
    }

}
