<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class AreasTable extends Migration {

    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up() {
	Schema::create('locations', function($table) {
	    $table->increments('id');
	    $table->string('location_code', 4);
	    $table->string('location_name');
	    $table->decimal('area', 7, 2);
	    $table->string('description');
	    $table->enum('status', array('enable', 'disable'))->default('enable');

	    $table->integer('project_id')->unsigned();
	    $table->foreign('project_id')->references('id')->on('projects')->onDelete('cascade');
	    $table->index('location_code');
	    $table->timestamps();
	});
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down() {
	Schema::drop('locations');
    }

}
