<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class UsersTable extends Migration {

    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up() {
	Schema::create('users', function($table) {
	    $table->increments('id');
	    $table->string('username', 30)->unique();
	    $table->string('password');
	    $table->string('name', 150);
	    $table->string('email', 50)->unique();
	    $table->string('token');
	    $table->string('phone_number', 30); //->unique();
	    $table->enum('status', array('enable', 'disable'))->default('enable');
	    $table->enum('type', array('admin', 'staff', 'tenant', 'applicant'));
	    $table->rememberToken();
	    $table->timestamps();
	    
	    $table->integer('location_id')->unsigned();
	    $table->foreign('location_id')->references('id')->on('locations')->onDelete('cascade');
	});
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down() {
	Schema::drop('users');
    }

}
