<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class PropertiesTable extends Migration {

    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up() {
	Schema::create('properties', function($table) {
	    $table->increments('id');
	    $table->string('unit_no');
	    $table->enum('block', array('a', 'b', 'c', 'd', 'e', 'f', 'g', 'h', 'i', 'na'))->default('na');
	    $table->string('line1');
	    $table->string('line2');
	    $table->string('city');
	    $table->string('state');
	    $table->string('country');
	    $table->integer('postcode');
	    $table->decimal('rental_rate', 5, 2);
	    $table->string('lot_type');
	    $table->string('plot_no');
	    $table->string('lot_status');
	    $table->decimal('value', 7, 2);
	    $table->timestamp('date_valued');
	    $table->decimal('area', 7, 2);
	    $table->enum('vacancy', array('available', 'unavailable'))->default('available');
	    $table->enum('status', array('enable', 'disable'))->default('enable');

	    $table->string('property_type');
	    $table->integer('location_id')->unsigned();
	    $table->foreign('location_id')->references('id')->on('locations')->onDelete('cascade');
	    $table->index('unit_no');

	    $table->timestamps();
	});
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down() {
	Schema::drop('properties');
    }

}
