<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class TenantsTable extends Migration {

    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up() {
	Schema::create('tenants', function($table) {
	    $table->increments('id');
	    $table->string('account_no');
	    $table->string('tenant_name');
	    $table->string('ic_no')->unique();
	    $table->string('passport_no');
	    $table->string('dob');
	    $table->integer('age');
	    $table->enum('status', array('enable', 'disable'))->default('enable');
	    $table->enum('gender', array('male', 'female'));
	    $table->string('marital_status');
	    $table->string('race');
	    $table->string('nationality');
	    $table->string('religion');
	    $table->string('phone');
	    $table->string('mobile');
	    $table->string('email');
	    $table->string('mailing_address');
	    $table->string('company_address');

	    $table->string('company_name');
	    $table->string('business_type');
	    $table->string('company_phone');
	    $table->string('company_fax');
	    $table->boolean('other_payment')->default(false);
	    $table->timestamp('start_date');
	    $table->timestamp('end_date');
	    $table->integer('created_by')->unsigned();
	    $table->foreign('created_by')->references('id')->on('users')->onDelete('cascade');

	    $table->integer('property_id')->unsigned();
	    $table->foreign('property_id')->references('id')->on('properties')->onDelete('cascade');

	    $table->timestamps();
	    $table->index('account_no');
	    $table->index('ic_no');
	    $table->index('passport_no');
	});
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down() {
	Schema::drop('tenants');
    }

}
