<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class DepositTable extends Migration {

    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up() {
	Schema::create('deposits', function($table) {
	    $table->increments('id');
	    $table->string('receipt_no');
	    $table->string('description');
	    $table->string('note');
	    $table->decimal('one_month_rental', 7, 2);
	    $table->decimal('two_month_rental', 7, 2);
	    $table->decimal('utilities', 7, 2);
	    $table->decimal('management_fee', 7, 2);
	    $table->decimal('total_deposit', 7, 2);
	    
	    $table->integer('created_by')->unsigned();
	    $table->foreign('created_by')->references('id')->on('users')->onDelete('cascade');

	    $table->integer('tenant_id')->unsigned();
	    $table->foreign('tenant_id')->references('id')->on('tenants')->onDelete('cascade');

	    $table->timestamps();
	    $table->index('receipt_no');
	});
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down() {
	Schema::drop('deposits');
    }

}
