<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class BillingsTable extends Migration {

    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up() {
	Schema::create('bills', function($table) {
	    $table->increments('id');
	    $table->string('bill_no');
	    $table->decimal('amount_due', 7, 2);
	    $table->decimal('bill_amount', 7, 2);
	    $table->enum('payment_status', array('paid', 'unpaid', 'partial'))->default('unpaid');
	    $table->timestamp('issue_date');
	    
	    $table->integer('bill_type_id')->unsigned();
	    $table->foreign('bill_type_id')->references('id')->on('bill_types')->onDelete('cascade');
	    
	    $table->integer('created_by')->unsigned();
	    $table->foreign('created_by')->references('id')->on('users')->onDelete('cascade');

	    $table->integer('tenant_id')->unsigned();
	    $table->foreign('tenant_id')->references('id')->on('tenants')->onDelete('cascade');

	    $table->timestamps();
	    $table->index('bill_no');
	});
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down() {
	Schema::drop('bills');
    }

}
