<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class PaymentsTable extends Migration {

    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up() {
	Schema::create('payments', function($table) {
	    $table->increments('id');
	    $table->string('receipt_no');
	    $table->decimal('amount_paid', 7, 2);
	    
	    $table->integer('created_by')->unsigned();
	    $table->foreign('created_by')->references('id')->on('users')->onDelete('cascade');

	    $table->integer('bill_id')->unsigned();
	    $table->foreign('bill_id')->references('id')->on('bills')->onDelete('cascade');
	    
	    $table->timestamps();
	});
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down() {
	Schema::drop('payments');
    }

}
