<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateApplicantTable extends Migration {

    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up() {
	Schema::create('applicants', function($table) {
	    $table->increments('id');
	    $table->string('account_no');
	    $table->string('applicant_name');
	    $table->string('ic_no')->unique();
	    $table->string('passport_no');
	    $table->string('dob');
	    $table->integer('age');
	    $table->string('application_status');
	    $table->enum('status', array('enable', 'disable'))->default('enable');
	    $table->enum('gender', array('male', 'female'));
	    $table->string('marital_status');
	    $table->string('race');
	    $table->string('nationality');
	    $table->string('religion');
	    $table->string('phone');
	    $table->string('mobile');
	    $table->string('email');
	    $table->string('mailing_address');
	    $table->string('company_name');
	    $table->string('job');
	    $table->string('company_phone');
	    $table->integer('salary')->unsigned();
	    $table->string('health_status');
	    $table->string('health_type');
	    $table->string('disable_status');
	    $table->string('disable_type');

	    $table->integer('created_by')->unsigned();
	    $table->foreign('created_by')->references('id')->on('users')->onDelete('cascade');

	    $table->timestamps();
	    $table->index('account_no');
	    $table->index('ic_no');
	    $table->index('passport_no');
	});
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down() {
	Schema::drop('applicants');
    }

}
