<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateRelativesTable extends Migration {

    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up() {
	Schema::create('applicant_relatives', function($table) {
	    $table->increments('id');
	    $table->string('relative_name');
	    $table->string('ic_no');
	    $table->string('relationship');
	    $table->string('job');
	    $table->integer('salary')->unsigned();
	    $table->enum('status', array('enable', 'disable'))->default('enable');
	    
	    $table->integer('applicant_id')->unsigned();
	    $table->foreign('applicant_id')->references('id')->on('applicants')->onDelete('cascade');

	    $table->timestamps();
	});
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down() {
	Schema::drop('applicant_relatives');
    }

}
