<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateApplicantPropertiesTable extends Migration {

    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up() {
	Schema::create('applicant_properties', function($table) {
	    $table->increments('id');
	    $table->string('property_status');
	    $table->string('property_type');
	    $table->string('line1');
	    $table->string('line2');
	    $table->string('city');
	    $table->string('state');
	    $table->string('country');
	    $table->integer('postcode');
	    $table->enum('status', array('enable', 'disable'))->default('enable');

	    $table->integer('applicant_id')->unsigned();
	    $table->foreign('applicant_id')->references('id')->on('applicants')->onDelete('cascade');

	    $table->timestamps();
	});
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down() {
	Schema::drop('applicant_properties');
    }

}
