<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateApplicantSpouseTable extends Migration {

    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up() {
	Schema::create('applicant_spouses', function($table) {
	    $table->increments('id');
	    $table->string('spouse_name');
	    $table->string('ic_no')->unique();
	    $table->string('passport_no');
	    $table->string('dob');
	    $table->integer('age');
	    $table->enum('status', array('enable', 'disable'))->default('enable');
	    $table->enum('gender', array('male', 'female'));
	    $table->string('marital_status');
	    $table->string('race');
	    $table->string('nationality');
	    $table->string('religion');
	    $table->string('phone');
	    $table->string('mobile');
	    $table->string('email');
	    $table->string('mailing_address');
	    $table->string('company_name');
	    $table->string('job');
	    $table->string('company_phone');
	    $table->string('company_fax');
	    $table->integer('salary')->unsigned();
	    
	    $table->integer('applicant_id')->unsigned();
	    $table->foreign('applicant_id')->references('id')->on('applicants')->onDelete('cascade');

	    $table->timestamps();
	    $table->index('ic_no');
	});
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down() {
	Schema::drop('applicant_spouses');
    }

}
