<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateNotesTable extends Migration {

    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up() {
	Schema::create('notes', function($table) {
	    $table->increments('id');
	    $table->text('text');
	    $table->integer('created_by')->unsigned();
	    $table->foreign('created_by')->references('id')->on('users')->onDelete('cascade');
	    $table->integer('property_id')->unsigned();
	    $table->foreign('property_id')->references('id')->on('properties')->onDelete('cascade');
	    $table->enum('status', array('enable', 'disable'))->default('enable');
	    $table->timestamps();
	});
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down() {
	Schema::drop('notes');
    }

}
