<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreatePropertyHistoryTable extends Migration {

    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up() {
	Schema::create('property_history', function($table) {
	    $table->increments('id');
	    $table->enum('status', array('rent', 'left'))->default('rent');
	    $table->integer('tenant_id')->unsigned();
	    $table->foreign('tenant_id')->references('id')->on('tenants')->onDelete('cascade');
	    $table->integer('property_id')->unsigned();
	    $table->foreign('property_id')->references('id')->on('properties')->onDelete('cascade');
	    $table->timestamps();
	});
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down() {
	Schema::drop('property_history');
    }

}
