<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class MoveSettingInProjectsToLocationsTable extends Migration {

    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up() {
	Schema::table('projects', function($table) {
	    $table->dropColumn('has_water_bill');
	    $table->dropColumn('maximum_notice');
	    $table->dropColumn('utility_fee');
	    $table->dropColumn('management_fee');
	});
	
	Schema::table('locations', function($table) {
	    $table->boolean('has_water_bill')->after('area');
	    $table->integer('maximum_notice')->after('area');
	    $table->decimal('utility_fee')->after('area');
	    $table->decimal('management_fee')->after('area');
	});
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down() {
	Schema::table('locations', function($table) {
	    $table->dropColumn('has_water_bill');
	    $table->dropColumn('maximum_notice');
	    $table->dropColumn('utility_fee');
	    $table->dropColumn('management_fee');
	});
	
	Schema::table('projects', function($table) {
	    $table->boolean('has_water_bill')->after('project_name');
	    $table->integer('maximum_notice')->after('project_name');
	    $table->decimal('utility_fee')->after('project_name');
	    $table->decimal('management_fee')->after('project_name');
	});
    }

}
