<?php

class Applicant extends Eloquent {
    /**
     * The database table used by the model.
     *
     * @var string
     */
    protected $table = 'applicants';
    protected $fillable = [
	'tenant_name', 'ic_no', 'passport_no', 'unit_no', 'status',
	'gender', 'marital_status', 'race', 'nationality', 'mailing_address',
	'mobile', 'phone', 'email', 'company_name', 'business_type',
	'company_address', 'company_phone', 'age', 'dob',
	'job', 'salary', 'health_status', 'health_type', 
	'disable_type', 'disable_status'
    ];
    
    public function spouses() {
	return $this->hasMany('ApplicantSpouse');
    }
    
    public function transportations() {
	return $this->hasMany('ApplicantTransport');
    }
    
    public function properties() {
	return $this->hasMany('ApplicantProperty');
    }
    
    public function relatives() {
	return $this->hasMany('ApplicantRelative');
    }
}
