<?php

class Deposit extends Eloquent {

    /**
     * The database table used by the model.
     *
     * @var string
     */
    protected $table = 'deposits';
    protected $fillable = ['receipt_no', 'description', 'note', 'one_month_rental',
	'two_month_rental', 'utilities', 'management_fee', 'total_deposit'];
    
    public static function getThisMonthDeposit() {
	$start = date('Y-m') . '-1';
	$end = date('Y-m-d', strtotime("+1 months", strtotime($start)) - 3600);
	$deposits = Deposit::join('tenants', 'tenants.id', '=', 'deposits.tenant_id');
	if (Session::get('project')->location_name != 'PHSSB') {
	    $deposits = $deposits->join('properties', 'properties.id', '=', 'tenants.property_id')
		    ->where('properties.location_id', Session::get('project')->location_id);
	}
	$deposits = $deposits->whereBetween('deposits.created_at', array($start, $end));
	
	return $deposits;
    }
}
