<?php

class Location extends Eloquent {

    /**
     * The database table used by the model.
     *
     * @var string
     */
    protected $table = 'locations';
    protected $fillable = ['location_code', 'location_name', 'description', 'area', 
	'status', 'has_water_bill', 'maximum_notice', 'utility_fee', 'management_fee'];

    public function users() {
	return $this->hasMany('User');
    }
    
    public function project() {
	return $this->belongsTo('Project');
    }
    
	//ain 20160601 start
	public function receipt_number(){
	return $this->hasMany('ReceiptNumber');
	}
	//ain 20160601 end
	
	
    public static function getLocationOptions() {
	
	$locations = Location::select('locations.id', 'location_name', 'project_name')
		->join('projects', 'projects.id', '=', 'locations.project_id')
		->where('locations.status', 'enable')
		->where('project_name', '<>', 'ADMIN')
		->get();
	foreach ($locations as $location) {
	    $locationOptions[$location->id] = $location->project_name . ' - ' . $location->location_name;
	}
	
	return $locationOptions;
    }
}
