<?php

class Project extends Eloquent {

    /**
     * The database table used by the model.
     *
     * @var string
     */
    protected $table = 'projects';
    protected $fillable = ['project_code', 'project_name'];
    
    public static function getProjectOptions() {
	
	$projects = Project::where('status', 'enable')
		->where('project_name', '<>', 'ADMIN')
		->get();
	$projectOptions = array('' => '-- Please Select --');
	foreach ($projects as $project) {
	    $projectOptions[$project->id] = $project->project_name;
	}
	
	return $projectOptions;
    }
    
    public function locations() {
	return $this->hasMany('Location');
    }
}
