<?php

class Property extends Eloquent {

    /**
     * The database table used by the model.
     *
     * @var string
     */
    protected $table = 'properties';
    protected $fillable = ['unit_no', 'line1', 'line2', 'city', 'state', 
	'country', 'postcode', 'lot_type', 'plot_no', 
	'lot_status', 'value', 'date_valued', 'area', 'status', 'block', 'property_type', 'rental_rate'];

    static public function getAvailableUnitOptions() {
	$availableUnits = Property::where('vacancy', 'available')
		->where('status', 'enable')
		->where('location_id', Session::get('project')->location_id)
		->get();
	
	$availableUnitsOptions = array('' => '');
	foreach ($availableUnits as $unit) {
	    $availableUnitsOptions[$unit->id] = $unit->unit_no;
	}
	
	return $availableUnitsOptions;
    }
    
    public function notes() {
	return $this->hasMany('Note');
    }
    
    public function location() {
	return $this->belongsTo('Location');
    }
    
}
