<?php

class Tenant extends Eloquent {

    /**
     * The database table used by the model.
     *
     * @var string
     */
    protected $table = 'tenants';
    protected $fillable = [
    'tenant_name', 'ic_no', 'passport_no', 'unit_no', 'status',
    'gender', 'marital_status', 'race', 'nationality', 'mailing_address',
    'mobile', 'phone', 'email', 'company_name', 'business_type',
    'company_address', 'company_fax', 'company_phone', 'age', 'dob',
    'start_date', 'end_date','rental_rate'
    ];
    
    public function property() {
        $this->belongsTo('Property');
    }
    
    public function notices() {
        $this->hasMany('NoticeHistory');
    }

    public static function getRentalRateByTenantId($id) {
        $rentalRate = Tenant::find($id)->pluck('rental_rate');

        return $rentalRate;
    }

}
