<?php

use Illuminate\Auth\UserTrait;
use Illuminate\Auth\UserInterface;
use Illuminate\Auth\Reminders\RemindableTrait;
use Illuminate\Auth\Reminders\RemindableInterface;

class User extends Eloquent implements UserInterface, RemindableInterface {

    use UserTrait,
	RemindableTrait;

    /**
     * The database table used by the model.
     *
     * @var string
     */
    protected $table = 'users';

    /**
     * The attributes excluded from the model's JSON form.
     *
     * @var array
     */
    protected $hidden = array('password', 'remember_token');

    public function location() {
	return $this->belongsTo('Location');
    }

    public static function getUserTypeOptions() {
	return array(
	    'staff' => 'Staff',
	    'admin' => 'Admin',
	);
    }
    
    public function extraLocations() {
	return ExtraLocation::join('locations', 'locations.id', '=', 'extra_locations.location_id')
		->where('user_id', $this->id)
		->get();
    }
}
