@extends('layout')

@section('content')
<div class="row">
    <div class="col-sm-12">
	<h2 class="page-title">
	    Applicant Details <small>{{ $applicant->applicant_name }}</small>
	    <a href="{{ action('ApplicantController@edit', $applicant->id) }}" class="btn btn-sm btn-info pull-right">Edit Applicant</a>
	</h2><hr>
    </div>
</div>
<div class="row">
    <div class="col-sm-8">
	<div class="panel panel-default">
	    <div class="panel-heading">
		Personal Information
	    </div>
	    <div class="panel-body">
		<form class="form-horizontal form-detail">
		    <div class="form-group form-group-sm">
			<label class="col-sm-4 control-label">MyKad / NRIC</label>
			<div class="col-sm-7">
			    <p class="form-control-static">{{ $applicant->ic_no }}</p>
			</div>
		    </div>
		    <div class="form-group form-group-sm">
			<label class="col-sm-4 control-label">Passport</label>
			<div class="col-sm-7">
			    <p class="form-control-static">{{ $applicant->passport_no ? $applicant->passport_no : '-' }}</p>
			</div>
		    </div>
		    <div class="form-group form-group-sm">
			<label class="col-sm-4 control-label">Applicant Name</label>
			<div class="col-sm-7">
			    <p class="form-control-static">{{ $applicant->applicant_name }}</p>
			</div>
		    </div>
		    <div class="form-group form-group-sm">
			<label class="col-sm-4 control-label">Status</label>
			<div class="col-sm-7">
			    <p class="form-control-static text-capitalize">{{ $applicant->application_status }} </p>
			</div>
		    </div>
		    <div class="form-group form-group-sm">
			<label class="col-sm-4 control-label">Gender</label>
			<div class="col-sm-7">
			    <p class="form-control-static text-capitalize">{{ $applicant->gender }}</p>
			</div>
		    </div>
		    <div class="form-group form-group-sm">
			<label class="col-sm-4 control-label">Marital Status</label>
			<div class="col-sm-7">
			    <p class="form-control-static text-capitalize">{{ $applicant->marital_status }}</p>
			</div>
		    </div>
		    <div class="form-group form-group-sm">
			<label class="col-sm-4 control-label">Natioanality</label>
			<div class="col-sm-7">
			    <p class="form-control-static text-capitalize">{{ $applicant->nationality ? $applicant->nationality : '-' }}</p>
			</div>
		    </div>
		    <div class="form-group form-group-sm">

			<label class="col-sm-4 control-label">Mailing Address</label>
			<div class="col-sm-7">
			    <p class="form-control-static">{{ $applicant->mailing_address ? $applicant->mailing_address : '-' }}</p>
			</div>
		    </div>
		    <div class="form-group form-group-sm">
			<label class="col-sm-4 control-label">Race</label>
			<div class="col-sm-7">			
			    <p class="form-control-static text-capitalize">{{ $applicant->race ? $applicant->race : '-' }}</p>
			</div>
		    </div>
		    <div class="form-group form-group-sm">
			<label class="col-sm-4 control-label">Mobile</label>
			<div class="col-sm-7">
			    <p class="form-control-static">{{ $applicant->mobile ? $applicant->mobile : '-' }}</p>
			</div>
		    </div>
		    <div class="form-group form-group-sm">
			<label class="col-sm-4 control-label">Home Phone</label>
			<div class="col-sm-7">
			    <p class="form-control-static">{{ $applicant->phone ? $applicant->phone : '-' }}</p>
			</div>
		    </div>
		    <div class="form-group form-group-sm">
			<label class="col-sm-4 control-label">Email</label>
			<div class="col-sm-7">
			    <p class="form-control-static">{{ $applicant->email ? $applicant->email : '-' }}</p>
			</div>
		    </div>
		    <div class="form-group form-group-sm">
			<label class="col-sm-4 control-label">Company Name</label>
			<div class="col-sm-7">
			    <p class="form-control-static">{{ $applicant->company_name ? $applicant->company_name : '-' }}</p>
			</div>
		    </div>
		    <div class="form-group form-group-sm">
			<label class="col-sm-4 control-label">Occupation</label>
			<div class="col-sm-7">
			    <p class="form-control-static">{{ $applicant->job ? $applicant->job : '-' }}</p>
			</div>
		    </div>
		    <div class="form-group form-group-sm">
			<label class="col-sm-4 control-label">Salary</label>
			<div class="col-sm-7">
			    <p class="form-control-static">{{ $applicant->salary ? 'RM' . $applicant->salary : '-' }}</p>
			</div>
		    </div>
		    <div class="form-group form-group-sm">
			<label class="col-sm-4 control-label">Office Phone</label>
			<div class="col-sm-7">
			    <p class="form-control-static">{{ $applicant->company_phone ? $applicant->company_phone : '-' }}</p>
			</div>
		    </div>
		</form>
	    </div>
	</div>
    </div>
</div>
@if (isset($spouse))
<div class="row">
    <div class="col-sm-8">
	<div class="panel panel-default">
	    <div class="panel-heading">
		Spouse Information
	    </div>
	    <div class="panel-body">
		<form class="form-horizontal form-detail">
		    <div class="form-group form-group-sm">
			<label class="col-sm-4 control-label">MyKad / NRIC</label>
			<div class="col-sm-7">
			    <p class="form-control-static">{{ $spouse->ic_no }}</p>
			</div>
		    </div>
		    <div class="form-group form-group-sm">
			<label class="col-sm-4 control-label">Passport</label>
			<div class="col-sm-7">
			    <p class="form-control-static">{{ $spouse->passport_no ? $spouse->passport_no : '-' }}</p>
			</div>
		    </div>
		    <div class="form-group form-group-sm">
			<label class="col-sm-4 control-label">Spouse Name</label>
			<div class="col-sm-7">
			    <p class="form-control-static">{{ $spouse->spouse_name }}</p>
			</div>
		    </div>
		    <div class="form-group form-group-sm">
			<label class="col-sm-4 control-label">Natioanality</label>
			<div class="col-sm-7">
			    <p class="form-control-static text-capitalize">{{ $spouse->nationality ? $spouse->nationality : '-' }}</p>
			</div>
		    </div>
		    <div class="form-group form-group-sm">
			<label class="col-sm-4 control-label">Mobile</label>
			<div class="col-sm-7">
			    <p class="form-control-static">{{ $spouse->mobile ? $spouse->mobile : '-' }}</p>
			</div>
		    </div>
		    <div class="form-group form-group-sm">
			<label class="col-sm-4 control-label">Email</label>
			<div class="col-sm-7">
			    <p class="form-control-static">{{ $spouse->email ? $spouse->email : '-' }}</p>
			</div>
		    </div>
		    <div class="form-group form-group-sm">
			<label class="col-sm-4 control-label">Occupation</label>
			<div class="col-sm-7">
			    <p class="form-control-static">{{ $spouse->job ? $spouse->job : '-' }}</p>
			</div>
		    </div>
		    <div class="form-group form-group-sm">
			<label class="col-sm-4 control-label">Company Name</label>
			<div class="col-sm-7">
			    <p class="form-control-static">{{ $spouse->company_name ? $spouse->company_name : '-' }}</p>
			</div>
		    </div>
		    <div class="form-group form-group-sm">
			<label class="col-sm-4 control-label">Salary</label>
			<div class="col-sm-7">
			    <p class="form-control-static">{{ $spouse->salary ? 'RM' . $spouse->salary : '-' }}</p>
			</div>
		    </div>
		    <div class="form-group form-group-sm">
			<label class="col-sm-4 control-label">Office Phone</label>
			<div class="col-sm-7">
			    <p class="form-control-static">{{ $spouse->company_phone ? $spouse->company_phone : '-' }}</p>
			</div>
		    </div>
		</form>
	    </div>
	</div>
    </div>
</div>
@endif
@if (isset($transport))
<div class="row">
    <div class="col-sm-8">
	<div class="panel panel-default">
	    <div class="panel-heading">
		Transportation
	    </div>
	    <div class="panel-body">
		<form class="form-horizontal form-detail">
		    <div class="form-group form-group-sm">
			<label class="col-sm-4 control-label">Vehical Type</label>
			<div class="col-sm-7">
			    <p class="form-control-static text-capitalize">{{ isset($transport->transport_name) ? $transport->transport_name : '-' }}</p>
			</div>
		    </div>
		    <div class="form-group form-group-sm">
			<label class="col-sm-4 control-label">Plat No</label>
			<div class="col-sm-7">
			    <p class="form-control-static text-capitalize">{{ isset($transport->plat_no) ? $transport->plat_no : '-' }}</p>
			</div>
		    </div>
		</form>
	    </div>
	</div>
    </div>
</div>
@endif
@if (isset($property))
<div class="row">
    <div class="col-sm-8">
	<div class="panel panel-default">
	    <div class="panel-heading">
		Property Information
	    </div>
	    <div class="panel-body">
		<form class="form-horizontal form-detail">
		    <div class="form-group form-group-sm">
			<label class="col-sm-4 control-label">Property Type</label>
			<div class="col-sm-7">
			    <p class="form-control-static text-capitalize">{{ isset($property->property_type) ? $property->property_type : '-' }}</p>
			</div>
		    </div>
		    <div class="form-group form-group-sm">
			<label class="col-sm-4 control-label">Property Status</label>
			<div class="col-sm-7">
			    <p class="form-control-static text-capitalize">{{ isset($property->property_status) ? $property->property_status : '-' }}</p>
			</div>
		    </div>
		    <div class="form-group form-group-sm">
			<label class="col-sm-4 control-label">Address</label>
			<div class="col-sm-7">
			    <p class="form-control-static">
				{{ isset($property->line1) ? $property->line1 : '-' }}{{ isset($property->line2) ? ', ' . $property->line2 : '' }}{{ isset($property->city) ? ', ' . $property->city  : ''}}{{ isset($property->postcode) ? ', ' . $property->postcode : '' }}{{ isset($property->state) ? ', ' . $property->state : '' }}
			    </p>
			</div>
		    </div>
		</form>
	    </div>
	</div>
    </div>
</div>
@endif
@if (count($relatives))
<div class="row">
    <div class="col-sm-8">
	<div class="panel panel-default">
	    <div class="panel-heading">
		Relative Information
	    </div>
	    <div class="panel-body">
		<table class="table table-condensed">
		    <thead>
			<tr>
			    <th>#</th>
			    <th>Name</th>
			    <th>IC Number</th>
			    <th>Relationship</th>
			    <th>Occupation</th>
			    <th>Salary</th>
			</tr>
		    </thead>
		    <tbody>
			<?php $i = 0 ?>
			@foreach ($relatives as $relative)
			<tr>
			    <td>{{ ++$i }}</td>
			    <td>{{ $relative->relative_name }}</td>
			    <td>{{ $relative->ic_no }}</td>
			    <td>{{ $relative->relationship }}</td>
			    <td>{{ $relative->job }}</td>
			    <td>{{ $relative->salary == 0 ? '-' : $relative->salary }}</td>
			</tr>
			@endforeach
		    </tbody>
		</table>
	    </div>
	</div>
    </div>
</div>
@endif
@stop