@extends('layout')

@section('content')

@if (isset($applicant))
{{ Form::model($applicant, array('url' => route('applicant.update', $applicant->id), 'method' => 'PUT', 'class' => 'form-horizontal')) }}
@else
{{ Form::open(array('url' => route('applicant.store'), 'class' => 'form-horizontal')) }}
@endif
<div class="row">
    <div class="col-md-12">
	@if (count($errors->all()))
	<div class="alert alert-danger alert-dismissible" role="alert">
	    <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
	    {{ HTML::ul($errors->all()) }}
	</div>
        @endif
	@if (Session::has('error'))
	<div class="row" style="margin-top:20px">
	    <div class="col-md-12">
		<div class="alert alert-danger alert-dismissible main-alert" role="alert">
		    <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
		    <span class="fa fa-warning fa-lg"></span> {{ Session::get('error') }}
		</div>
	    </div>
	</div>
	@endif
        <h2 class="page-title">
            @if (isset($applicant))
	    Edit Applicant
	    <a href="{{ action('ApplicantController@create') }}" class="btn btn-sm btn-default pull-right">New Applicant</a>
            @else
	    Register Applicant
	    <a href="{{ url('applicant') }}" class="btn btn-sm btn-default pull-right">Cancel</a>
            @endif
	    <button type="submit" class="btn btn-sm btn-success pull-right btn-normal"></span> Save</button>

        </h2><hr>
    </div>
</div>
<div class="row">
    <div class="col-md-10">
	<div class="panel panel-default">
	    <div class="panel-heading">
		Profile Information
		<span class="pull-right"><small><em>*</em> <i>Mandatory fields</i></small></span>
	    </div>
	    <div class="panel-body" style="padding: 20px">
		<div class="form-group form-group-sm">
		    <label class="col-sm-2 control-label">MyKad / NRIC <em>*</em></label>
		    <div class="col-sm-4">
			{{ Form::text('ic_no', Input::old('ic_no'), array('class' => 'form-control', 'required' => 'required', 'placeholder' => 'e.g: 841112104717')) }}
		    </div>
		</div>
		<div class="form-group form-group-sm">
		    <label class="col-sm-2 control-label">Passport</label>
		    <div class="col-sm-4">
			{{ Form::text('passport_no', Input::old('passport_no'), array('class' => 'form-control')) }}
		    </div>
		</div>
		<div class="form-group form-group-sm">
		    <label class="col-sm-2 control-label">Applicant Name <em>*</em></label>
		    <div class="col-sm-6">
			{{ Form::text('applicant_name', Input::old('applicant_name'), array('class' => 'form-control', 'required' => 'required')) }}
		    </div>
		</div>
		<div class="form-group form-group-sm">
		    <label class="col-sm-2 control-label">Gender <em>*</em></label>
		    <div class="col-sm-8">
			<div class="row">
			    <span class="col-sm-2">{{ Form::radio('gender', 'male', Input::old('gender') == 'male', array('required' => 'required')) }} Male</span>
			    <span class="col-sm-2">{{ Form::radio('gender', 'female', Input::old('gender') == 'female') }} Female</span>
			</div>
		    </div>
		</div>
		<div class="form-group form-group-sm">
		    <label class="col-sm-2 control-label">Marital Status <em>*</em></label>
		    <div class="col-sm-8">
			<div class="row">
			    <span class="col-sm-2">{{ Form::radio('marital_status', 'single', Input::old('marital_status') == 'single', array('required' => 'required')) }} Single</span>
			    <span class="col-sm-2">{{ Form::radio('marital_status', 'married', Input::old('marital_status') == 'married') }} Married</span>
			    <span class="col-sm-2">{{ Form::radio('marital_status', 'others', Input::old('marital_status') == 'others') }} Others</span>
			    <span class="col-sm-4" style="margin-left: -30px">{{ Form::text('marital_status_text', Input::old('marital_status_text'), array('class' => 'form-control', 'placeholder' => 'Please specify'  )) }}</span>
			</div>
		    </div>
		</div>
		<div class="form-group form-group-sm">
		    <label class="col-sm-2 control-label">Natioanality <em>*</em></label>
		    <div class="col-sm-4">
			{{ Form::text('nationality', Input::old('nationality'), array('class' => 'form-control', 'required' => 'required', 'placeholder' => 'e.g: Malaysian, Singaporean, etc.')) }}
		    </div>
		</div>
		<div class="form-group">
		    <label class="col-sm-2 control-label">Mailing Address <em>*</em></label>
		    <div class="col-sm-8">
			{{ Form::textarea('mailing_address', Input::old('mailing_address'), array('class' => 'form-control', 'required' => 'required', 'rows' => '5')) }}
		    </div>
		</div>
		<div class="form-group form-group-sm" style="margin-top: 5px">
		    <label class="col-sm-2 control-label">Race <em>*</em></label>
		    <div class="col-sm-8">
			<div class="row">
			    <span class="col-sm-2">{{ Form::radio('race', 'malay', Input::old('race') == 'malay', array('required' => 'required')) }} Malay</span>
			    <span class="col-sm-2">{{ Form::radio('race', 'chinese', Input::old('race') == 'chinese') }} Chinese</span>
			    <span class="col-sm-2">{{ Form::radio('race', 'indian', Input::old('race') == 'indian') }} Indian</span>
			    <span class="col-sm-2">{{ Form::radio('race', 'others', Input::old('race') == 'others') }} Others</span>
			    <span class="col-sm-4" style="margin-left: -30px">{{ Form::text('race_text', Input::old('race_text'), array('class' => 'form-control', 'placeholder' => 'Please specify'  )) }}</span>
			</div>
		    </div>
		</div>
		<div class="form-group form-group-sm">
		    <label class="col-sm-2 control-label">Mobile <em>*</em></label>
		    <div class="col-sm-4">
			{{ Form::text('mobile', Input::old('mobile'), array('class' => 'form-control', 'required' => 'required', 'placeholder' => 'e.g: 0123341234')) }}
		    </div>
		</div>
		<div class="form-group form-group-sm">
		    <label class="col-sm-2 control-label">Home Phone</label>
		    <div class="col-sm-4">
			{{ Form::text('phone', Input::old('phone'), array('class' => 'form-control', 'placeholder' => 'e.g: 055341234')) }}
		    </div>
		</div>
		<div class="form-group form-group-sm">
		    <label class="col-sm-2 control-label">Email</label>
		    <div class="col-sm-4">
			{{ Form::email('email', Input::old('email'), array('class' => 'form-control', 'placeholder' => 'e.g: karim@example.com')) }}
		    </div>
		</div>
	    </div>
	</div>
	<div class="panel panel-default">
	    <div class="panel-heading">
		Job Details
	    </div>
	    <div class="panel-body" style="padding: 20px">
		<div class="form-group form-group-sm">
		    <label class="col-sm-2 control-label">Occupation</label>
		    <div class="col-sm-6">
			{{ Form::text('job', Input::old('job'), array('class' => 'form-control', 'placeholder' => 'e.g: Teacher, Engineer, etc.')) }}
		    </div>
		</div>
		<div class="form-group form-group-sm">
		    <label class="col-sm-2 control-label">Company Name</label>
		    <div class="col-sm-6">
			{{ Form::text('company_name', Input::old('company_name'), array('class' => 'form-control')) }}
		    </div>
		</div>
		<div class="form-group form-group-sm">
		    <label class="col-sm-2 control-label">Salary (RM)</label>
		    <div class="col-sm-4">
			{{ Form::number('salary', Input::old('salary'), array('class' => 'form-control')) }}
		    </div>
		</div>
		<div class="form-group form-group-sm">
		    <label class="col-sm-2 control-label">Office Phone</label>
		    <div class="col-sm-4">
			{{ Form::text('company_phone', Input::old('company_phone'), array('class' => 'form-control', 'placeholder' => 'e.g: 055341234')) }}
		    </div>
		</div>
	    </div>
	</div>
	<div class="panel panel-default">
	    <div class="panel-heading">
		Spouse Details
	    </div>
	    <div class="panel-body" style="padding: 20px">
		<div class="form-group form-group-sm">
		    <label class="col-sm-2 control-label">MyKad / NRIC</label>
		    <div class="col-sm-4">
			{{ Form::text('spouse_ic_no', Input::old('spouse_ic_no'), array('class' => 'form-control', 'placeholder' => 'e.g: 841112104717')) }}
		    </div>
		</div>
		<div class="form-group form-group-sm">
		    <label class="col-sm-2 control-label">Passport</label>
		    <div class="col-sm-4">
			{{ Form::text('spouse_passport_no', Input::old('spouse_passport_no'), array('class' => 'form-control')) }}
		    </div>
		</div>
		<div class="form-group form-group-sm">
		    <label class="col-sm-2 control-label">Name</label>
		    <div class="col-sm-6">
			{{ Form::text('spouse_name', Input::old('spouse_name'), array('class' => 'form-control')) }}
		    </div>
		</div>
		<div class="form-group form-group-sm">
		    <label class="col-sm-2 control-label">Natioanality</label>
		    <div class="col-sm-4">
			{{ Form::text('spouse_nationality', Input::old('spouse_nationality'), array('class' => 'form-control', 'placeholder' => 'e.g: Malaysian, Singaporean, etc.')) }}
		    </div>
		</div>
		<div class="form-group form-group-sm">
		    <label class="col-sm-2 control-label">Mobile</label>
		    <div class="col-sm-4">
			{{ Form::text('spouse_mobile', Input::old('spouse_mobile'), array('class' => 'form-control', 'placeholder' => 'e.g: 0123341234')) }}
		    </div>
		</div>
		<div class="form-group form-group-sm">
		    <label class="col-sm-2 control-label">Email</label>
		    <div class="col-sm-4">
			{{ Form::email('spouse_email', Input::old('spouse_email'), array('class' => 'form-control', 'placeholder' => 'e.g: karim@example.com')) }}
		    </div>
		</div>
		<div class="form-group form-group-sm">
		    <label class="col-sm-2 control-label">Occupation</label>
		    <div class="col-sm-6">
			{{ Form::text('spouse_job', Input::old('spouse_job'), array('class' => 'form-control', 'placeholder' => 'e.g: House Wife, Teacher, Engineer, etc.')) }}
		    </div>
		</div>
		<div class="form-group form-group-sm">
		    <label class="col-sm-2 control-label">Company Name</label>
		    <div class="col-sm-6">
			{{ Form::text('spouse_company_name', Input::old('spouse_company_name'), array('class' => 'form-control')) }}
		    </div>
		</div>
		<div class="form-group form-group-sm">
		    <label class="col-sm-2 control-label">Salary (RM)</label>
		    <div class="col-sm-4">
			{{ Form::number('spouse_salary', Input::old('spouse_salary'), array('class' => 'form-control')) }}
		    </div>
		</div>
		<div class="form-group form-group-sm">
		    <label class="col-sm-2 control-label">Office Phone</label>
		    <div class="col-sm-4">
			{{ Form::text('spouse_company_phone', Input::old('spouse_company_phone'), array('class' => 'form-control', 'placeholder' => 'e.g: 055341234')) }}
		    </div>
		</div>
	    </div>
	</div>
	<div class="panel panel-default">
	    <div class="panel-heading">
		Transportation
	    </div>
	    <div class="panel-body" style="padding: 20px">
		<div class="form-group form-group-sm">
		    <label class="col-sm-2 control-label">Vehichle Name</label>
		    <div class="col-sm-4">
			{{ Form::text('transportation_name', Input::old('transportation_name'), array('class' => 'form-control', 'placeholder' => 'e.g: Proton Saga, Produa Kancil, etc.')) }}
		    </div>
		</div>
		<div class="form-group form-group-sm">
		    <label class="col-sm-2 control-label">Plat Number</label>
		    <div class="col-sm-4">
			{{ Form::text('plat_no', Input::old('plat_no'), array('class' => 'form-control', 'placeholder' => 'e.g: WXH 7880')) }}
		    </div>
		</div>
	    </div>
	</div>
	<div class="panel panel-default">
	    <div class="panel-heading">
		Property Information
	    </div>
	    <div class="panel-body" style="padding: 20px">
		<div class="form-group form-group-sm">
		    <label class="col-sm-2 control-label">Property Status</label>
		    <div class="col-sm-4">
			{{ Form::select('property_status', array('' => '-- Please Select --' ,'rental' => 'Rental', 'owned' => 'Owned'), Input::old('property_status'), array('class' => 'form-control')) }}
		    </div>
		</div>
		<div class="form-group form-group-sm">
		    <label class="col-sm-2 control-label">Type</label>
		    <div class="col-sm-6">
			{{ Form::text('property_type', Input::old('property_type'), array('class' => 'form-control', 'placeholder' => 'e.g: Teres 1 Tingkat, Semi-D, Apartment')) }}
		    </div>
		</div>
		<div class="form-group form-group-sm">
		    <label class="col-sm-2 control-label">Address Line 1</label>
		    <div class="col-sm-6">
			{{ Form::text('line1', Input::old('line1'), array('class' => 'form-control')) }}
		    </div>
		</div>
		<div class="form-group form-group-sm">
		    <label class="col-sm-2 control-label">Address Line 2</label>
		    <div class="col-sm-6">
			{{ Form::text('line2', Input::old('line2'), array('class' => 'form-control')) }}
		    </div>
		</div>
		<div class="form-group form-group-sm">
		    <label class="col-sm-2 control-label">City</label>
		    <div class="col-sm-4">
			{{ Form::text('city', Input::old('city'), array('class' => 'form-control')) }}
		    </div>
		</div>
		<div class="form-group form-group-sm">
		    <label class="col-sm-2 control-label">State</label>
		    <div class="col-sm-4">
			{{ Form::text('state', Input::old('state'), array('class' => 'form-control')) }}
		    </div>
		</div>
		<div class="form-group form-group-sm">
		    <label class="col-sm-2 control-label">Postcode</label>
		    <div class="col-sm-4">
			{{ Form::text('postcode', Input::old('postcode'), array('class' => 'form-control')) }}
		    </div>
		</div>
		<div class="form-group form-group-sm">
		    <label class="col-sm-2 control-label">Country</label>
		    <div class="col-sm-4">
			{{ Form::text('country', Input::old('country'), array('class' => 'form-control')) }}
		    </div>
		</div>
	    </div>
	</div>
	<div class="panel panel-default">
	    <div class="panel-heading">
		Relatives
	    </div>
	    <div class="panel-body" style="padding: 20px">
		<div class="form-group form-sm">
		    <div class="col-sm-12" id="placeholder-section">
			<div class="row">
			    <span class="col-lg-3"><h6>Name</h6></span>
			    <span class="col-lg-2"><h6>IC Number</h6></span>
			    <span class="col-lg-2"><h6>Relationship</h6></span>
			    <span class="col-lg-2"><h6>Occupation</h6></span>
			    <span class="col-lg-2"><h6>Salary</h6></span>
			</div>
			@if (isset($relatives) && count($relatives))
			<?php $m = 0 ?>
			@foreach ($relatives as $relative)
			<div class="row">
			    <span class="col-lg-3">
				{{ Form::text('relative_name[]', $relative->relative_name, array('class' => 'form-control')) }}
			    </span>
			    <span class="col-lg-2">
				{{ Form::text('relative_ic_no[]', $relative->ic_no, array('class' => 'form-control')) }}
			    </span>
			    <span class="col-lg-2">
				{{ Form::text('relationship[]', $relative->relationship, array('class' => 'form-control')) }}
			    </span>
			    <span class="col-lg-2">
				{{ Form::text('relative_job[]', $relative->job, array('class' => 'form-control')) }}
			    </span>
			    <span class="col-lg-2">
				{{ Form::number('relative_salary[]', $relative->salary, array('class' => 'form-control')) }}
			    </span>
			    <span class="col-lg-1">
				@if ($m++ == 0)
				<button id="btn-add-row" class="btn btn-info btn-xs"><span class="fa fa-plus fa-lg"></span></button>
				@else
				<button class="btn btn-danger btn-xs btn-remove">Delete</button>
				@endif
			    </span>
			</div>
			@endforeach
			@else
			<div class="row">
			    <span class="col-lg-3">
				{{ Form::text('relative_name[]', null, array('class' => 'form-control')) }}
			    </span>
			    <span class="col-lg-2">
				{{ Form::text('relative_ic_no[]', null, array('class' => 'form-control')) }}
			    </span>
			    <span class="col-lg-2">
				{{ Form::text('relationship[]', null, array('class' => 'form-control')) }}
			    </span>
			    <span class="col-lg-2">
				{{ Form::text('relative_job[]', null, array('class' => 'form-control')) }}
			    </span>
			    <span class="col-lg-2">
				{{ Form::number('relative_salary[]', null, array('class' => 'form-control')) }}
			    </span>
			    <span class="col-lg-1">
				<button id="btn-add-row" class="btn btn-info btn-xs"><span class="fa fa-plus fa-lg"></span></button>
			    </span>
			</div>
			@endif
		    </div>
		</div>
	    </div>
	</div>
    </div>
</div>
<div id="template-dynamic-field" class="hide">
    <div class="row">
	<span class="col-lg-3">
	    {{ Form::text('relative_name[]', null, array('class' => 'form-control')) }}
	</span>
	<span class="col-lg-2">
	    {{ Form::text('relative_ic_no[]', null, array('class' => 'form-control')) }}
	</span>
	<span class="col-lg-2">
	    {{ Form::text('relationship[]', null, array('class' => 'form-control')) }}
	</span>
	<span class="col-lg-2">
	    {{ Form::text('relative_job[]', null, array('class' => 'form-control')) }}
	</span>
	<span class="col-lg-2">
	    {{ Form::number('relative_salary[]', null, array('class' => 'form-control')) }}
	</span>
	<span class="col-lg-1">
	    <button class="btn btn-danger btn-xs btn-remove">Delete</button>
	</span>
    </div>
</div>
{{ Form::close() }}
@stop
