@extends('layout')
@section('content')
<div class="row">
    <div class="col-md-12">
        <h2 class="page-title">
        Applicants
        <a href="{{ action('ApplicantController@create') }}" class="btn btn-sm btn-primary pull-right">New Applicant</a>
        </h2><hr>
    </div>
</div>
<div class="row">
    <div class="col-md-3">
        <div class="panel panel-default">
            <div class="panel-heading">
                Search
            </div>
            <div class="panel-body">
                <form action="{{ URL::current() }}">
                <div class="form-group form-group-sm">
                    <label>Salary Range</label><br>
                    <div class="row">
                    	<div class="col-md-5">
		                    <input class="form-control" type="text" name="salfr" value="{{ Input::get('salfr') }}" }}>
                    	</div>
                    	<div class="col-md-2"><p class="form-control-static">To</p></div>
                    	<div class="col-md-5">
		                    <input class="form-control" type="text" name="salto" value="{{ Input::get('salto') }}" }}>
	                    </div>
                    </div>
                </div>
                <div class="form-group form-group-sm">
                    <label>Location</label><br>
                	{{ Form::select('loc', $locations, Input::get('loc'), array('class' => 'form-control')) }}
                </div>
                <button type="submit" class="btn btn-block btn-info btn-sm" style="margin-top: 10px">Search</button>
                <a href="{{ action('ApplicantController@index') }}" class="btn btn-block btn-default btn-sm">Clear</a>
                </form>
                <br>
            </div>
        </div>
    </div>
    <div class="col-md-9">
        <div class="row" style="margin-bottom: 20px">
            <div class="col-md-6">
                <span class="text-warning">{{ $paginationText }}</span>
            </div>
            <div class="col-md-6">
                <div class="pull-right">{{ $paginationLinks }}</div>
            </div>
        </div>
        <table class="table table-list table-striped table-condensed">
            <thead>
                <tr>
                    <th>#</th>
                    <th>Applicant Name</th>
                    <th>IC Number /<br>Passport</th>
                    <th>Race</th>
                    <th>Nationality</th>
                    <th>Application<br>Status</th>
                    <th>Interview Date</th>
                    <th>Last Updated</th>
                    <th>Registered By</th>
                    <th style="width:200px">Action</th>
                </tr>
            </thead>
            <tbody>
                <?php $i = 0 ?>
                @if (count($applicants))
                @foreach($applicants as $applicant)
                <tr>
                    <td>{{ $i + $applicants->getFrom() }}</td>
                    <td><a href="{{ action('ApplicantController@show', $applicant->id) }}">{{ $applicant->applicant_name }}</a></td>
                    <td>{{ $applicant->ic_no }}</td>
                    <td class="text-capitalize">{{ $applicant->race }}</td>
                    <td class="text-capitalize">{{ $applicant->nationality }}</td>
                    <td class="text-capitalize current-status">{{ $applicant->application_status }}</td>
                    <td class="text-capitalize">{{ strtotime($applicant->interview_date) > 0 ? date('d M Y', strtotime($applicant->interview_date)) : '-' }}</td>
                    <td class="text-capitalize">{{ $applicant->updated_at }}</td>
                    <td>{{ $applicant->name }}</td>
                    <td>
                        <a href="{{ action('ApplicantController@edit', $applicant->id) }}" class="btn btn-info btn-xs">Edit</a>
                        <button data-url="{{ action('ApplicantController@destroy', $applicant->id) }}" class="btn btn-danger btn-xs delete-btn">Delete</button>
                        <button data-id="{{ $applicant->id }}" type="button" class="btn btn-warning btn-xs btn-change-status {{ $applicant->application_status == 'moved' ? 'disabled' : ''}}">Change Status</button>
                    </td>
                </tr>
                <?php $i++ ?>
                @endforeach
                @else
                <tr><td colspan="10" class="grey text-center">No record found</td></tr>
                @endif
            </tbody>
        </table>
    </div>
</div>
@include('applicant_modal')
@stop