@extends('layout')

@section('content')
<div class="row">
    <div class="col-md-12">
	<h2 class="page-title">
	    Bills
	</h2><hr>
    </div>
</div>
<div class="row">
    <div class="col-md-3">
	<div class="panel panel-default">
	    <div class="panel-heading">
		Search
	    </div>
	    <div class="panel-body">
		{{ Form::open(array('url' => 'bill', 'method' => 'GET')) }}
		<div class="form-group form-group-sm">
		    <label>Type</label><br>
		    <span style="margin-right: 20px"><input type="radio" name="type" value="rental" {{ Input::get('type') == 'rental' || !Input::has('type') ? 'checked' : '' }}> Rental</span>
		    <span style="margin-right: 20px"><input type="radio" name="type" value="water" {{ Input::get('type') == 'water' ? 'checked' : '' }}> Water</span>
		    <span><input type="radio" name="type" value="other" {{ Input::get('type') == 'other' ? 'checked' : '' }}> Other</span>
		</div>
		<div class="form-group form-group-sm">
		    <label>Payment Status</label><br>
		    <span style="margin-right: 20px"><input type="radio" name="status" value="paid" {{ Input::get('status') == 'paid' || !Input::has('status') ? 'checked' : '' }}> Paid</span>
		    <span><input type="radio" name="status" value="unpaid" {{ Input::get('status') == 'unpaid' ? 'checked' : '' }}> Not Paid</span>
		</div>
		<button type="submit" class="btn btn-block btn-info btn-sm" style="margin-top: 10px">Submit</button>
		{{ Form::close() }}
	    </div>
	</div>
	<div class="panel panel-default">
	    <div class="panel-heading">
		Generate Monthly Billing
	    </div>
	    <div class="panel-body" style="padding:10px;">
		{{ Form::open(array('url' => route('bill.store'))) }}
		<div class="form-group form-group-sm">
		    <p>Please use date picker <span class="glyphicon glyphicon-calendar"></span><br>or enter "Mon YYYY" format</p>
		    <div class='input-group date input-group-sm' id='datetimepicker1'>
			{{ Form::text('mon_year', Input::get('mon_year'), array('class' => 'form-control input-sm', 'placeholder' => 'Apr 2015')) }}
			<span class="input-group-addon"><span class="glyphicon glyphicon-calendar"></span>
			</span>
		    </div>
		</div>
		<button type="submit" class="btn btn-primary btn-sm btn-block" style="margin-top: 10px">Generate</button>
		{{ Form::close() }}
	    </div>
	</div>
    </div>
    <div class="col-md-9">
	<div class="row" style="margin-bottom: 20px">

	    <div class="col-md-6">
		<span class="text-warning">{{ $paginationText }}</span>
	    </div>
	    <div class="col-md-6">
		<div class="pull-right">{{ $paginationLinks }}</div>
	    </div>
	</div>
	<table class="table table-list table-striped table-condensed">
	    <thead>
		<tr>
		    <th>#</th>
		    <th>Unit No.</th>
		    <th>Bil No.</th>
		    <th>Tenant Name</th>
		    <th>Month / Year</th>
		    <th>Type</th>
		    <th>Amount</th>
		    <th>Date Paid</th>
		    <th class="col-md-1">Payment Status</th>
		</tr>
	    </thead>
	    <tbody>
		<?php $i = 0 ?>
		@if (count($bills))
		@foreach($bills as $bill)        
		<tr>
		    <td>{{ $i + $bills->getFrom() }}</td>
		    <td>{{ $bill->unit_no }}</td>
		    <td>{{ $bill->bill_no }}</td>
		    <td class="text-capitalize">{{ $bill->tenant_name }}</td>
		    <td>{{ date('M / Y', strtotime($bill->issue_date)) }}</td>
		    <td class="text-capitalize">{{ $bill->bill_type_name }}</td>
		    <td>RM {{ $bill->bill_amount }}</td>
		    <td>{{ $bill->payment_status == 'paid' ? $bill->updated_at : '-' }}</td>
		    <td class="text-capitalize">{{ $bill->payment_status }}</td>
		</tr>
		<?php $i++ ?>
		@endforeach
		@else
		<tr><td colspan="9" class="grey text-center">No record found</td></tr>
		@endif
	    </tbody>
	</table>
    </div>
</div>
</div>

@stop
