@extends('layout')

@section('content')
<div class="row">
    <div class="col-md-12">
	<h2 class="page-title">
	    Cron Logs
	</h2><hr>
    </div>
</div>
<div class="row">
    <div class="col-md-3">
	<div class="panel panel-default">
	    <div class="panel-heading">
		Filter By Status
	    </div>
	    <div class="panel-body">
		<div class="list-group" style="margin-top: 10px">
		    <a href="{{ action('LogController@cron', array('status' => 'all')) }}" class="list-group-item {{ $showing == 'all' ? 'active' : '' }}">
			All
		    </a>
		    @foreach ($statuses as $status)
		    <a href="{{ action('LogController@cron', array('status' => $status)) }}" class="list-group-item {{ $showing == $status ? 'active' : '' }}">
			<span class="text-capitalize">{{ $status }}</span>
		    </a>
		    @endforeach
		</div>
	    </div>
	</div>
    </div>
    <div class="col-md-9">
	<div class="row" style="margin-bottom: 20px">

	    <div class="col-md-6">
		<span class="text-warning">{{ $paginationText }}</span>
	    </div>
	    <div class="col-md-6">
		<div class="pull-right">{{ $paginationLinks }}</div>
	    </div>
	</div>
	<table class="table table-list table-striped table-condensed">
	    <thead>
		<tr>
		    <th>#</th>
		    <th>Description</th>
		    <th>Status</th>
		    <th>Error Message</th>
		    <th>Datetime</th>
		</tr>
	    </thead>
	    <tbody>
		<?php $i = 0 ?>
		@if (count($cronlogs))
		@foreach($cronlogs as $cronlog)        
		<tr>
		    <td>{{ $i + $cronlogs->getFrom() }}</td>
		    <td>{{ $cronlog->description }}</td>
		    <td><span class="text-capitalize label {{ $cronlog->status == 'error' ? 'label-danger' : 'label-success' }}">{{ $cronlog->status }}</span></td>
		    <td>{{ $cronlog->error_message }}</td>
		    <td class="text-capitalize">{{ $cronlog->created_at }}</td>
		</tr>
		<?php $i++ ?>
		@endforeach
		@else
		<tr><td colspan="5" class="grey text-center">No record found</td></tr>
		@endif
	    </tbody>
	</table>
    </div>
</div>
</div>

@stop
