@extends('layout')

@section('content')

<div class="row">
    <div class="col-md-12">
        <h2 class="page-title">
            Dashboard <small>Total tenants registered is {{ $tenantsCount }}</small>
            <a href="{{ action('DashboardController@index') }}" class="btn btn-sm btn-primary pull-right"><span class="glyphicon glyphicon-repeat"></span> Reload</a>
        </h2><hr>
    </div>
</div>
<div class="row">
    <div class="col-md-9">
	<div class="row">
	    <div class="col-md-12">
		<div class="panel panel-default">
		    <div class="panel-heading">
			<b>Monthly Rental Collection Percentage</b>
		    </div>
		    <div class="panel-body" style="padding-bottom: 20px;">
			<div class="row">
			    <div class="col-sm-12">
				<div id="bar-rental-placeholder" style="height: 220px;"></div>
			    </div>
			</div>
			<div class="row barchart-value">
			    <div class="col-md-12">
				<table style="width:100%; text-align: center">
				    <tbody>
					<tr>
					    @foreach($rentalPercentages as $row)
					    <td width="56px">{{ $row['percent'] }}%<br>RM{{ number_format($row['amount']) }}</td>
					    @endforeach
					</tr>
				    </tbody>
				</table>
			    </div>
			</div>
		    </div>
		</div>
	    </div>
	</div>
	@if (Session::get('project')->has_water_bill || Session::get('project')->project_name === 'ADMIN')
	<div class="row">
	    <div class="col-md-12">
		<div class="panel panel-default">
		    <div class="panel-heading">
			<b>Monthly Water Collection Percentage</b>
		    </div>
		    <div class="panel-body" style="padding-bottom: 20px;">
			<div class="row">
			    <div class="col-sm-12">
				<div id="bar-water-placeholder" style="height: 220px;"></div>
			    </div>
			</div>
			<div class="row barchart-value">
			    <div class="col-md-12">
				<table style="width:100%; text-align: center">
				    <tbody>
					<tr>
					    @foreach($waterPercentages as $row)
					    <td width="56px">{{ $row['percent'] }}%</td>
					    @endforeach
					</tr>
				    </tbody>
				</table>
			    </div>
			</div>
		    </div>
		</div>
	    </div>
	</div>
	@endif
    </div>
    <div class="col-md-3">
	<div class="panel panel-default">
	    <div class="panel-heading">
		<b>Today Summary - {{ date('d M Y') }}</b>
	    </div>
	    <ul class="list-group dashboard">
		<li class="list-group-item">
		    <span class="badge">{{ number_format($todayPaymentCount, 2, '.', ',') }}</span>Number of Payment
		</li>
		<li class="list-group-item">
		    <span class="label label-success pull-right">RM {{ number_format($todayRentalPaid, 2, '.', ',') }}</span>Today's Rental Collection 
		</li>
		<li class="list-group-item">
		    <span class="label label-info pull-right">RM {{number_format( sprintf('%0.2f', $todayRentalOutstandingCollections, 2, '.', ',')) }}</span>Today's Outstanding Rental Collection
		</li>
		<li class="list-group-item">
		    <span class="label label-success pull-right">RM {{ number_format($todayWaterPaid, 2, '.', ',') }}</span>Today's Water Collection 
		</li>
		<li class="list-group-item">
		    <span class="label label-info pull-right">RM {{ number_format(sprintf('%0.2f', $todayWaterOutstandingCollections), 2, '.', ',') }}</span>Today's Outstanding Water Collection
		</li>
		<li class="list-group-item">
		    <span class="text-primary pull-right">RM {{ number_format(sprintf('%0.2f', $totalTodayCollection, 2, '.', ',')) }}</span>Total Today's Collection 
		</li>
	    </ul>
	</div>
	<div class="panel panel-default">
	    <div class="panel-heading">
		<b>This Month Summary - {{ date('M Y') }}</b>
	    </div>
	    <ul class="list-group dashboard">
		<li class="list-group-item">
		    <span class="badge">{{ $thisMonthPaymentCount }}</span>Number of Payment
		</li>
		<li class="list-group-item">
		    <span class="label label-success pull-right">RM {{ number_format($thisMonthRentalSum, 2, '.', ',') }}</span>Total Rental Collection
		</li>
		<li class="list-group-item">
		    <span class="label label-info pull-right">RM {{ number_format($thisMonthRentalOutstandingSum, 2, '.', ',') }}</span>Total Outstanding Rental Collection
		</li>
		<li class="list-group-item">
		    <span class="label label-success pull-right">RM {{ number_format($thisMonthWaterSum, 2, '.', ',') }}</span>Total Water Collection
		</li>
		<li class="list-group-item">
		    <span class="label label-info pull-right">RM {{ number_format($thisMonthWaterOutstandingSum, 2, '.', ',') }}</span>Total Outstanding Water Collection
		</li>
		<li class="list-group-item">
		    <span class="label label-warning pull-right">RM {{ number_format($thisMonthTotalDeposit, 2, '.', ',') }}</span>Total Deposit Paid
		</li>
		</li>
		<li class="list-group-item">
		    <span class="pull-right text-primary">RM {{ number_format($thisMonthTotal, 2, '.', ',') }}</span>Total Collection 
		</li>
	    </ul>
	</div>
	<div class="row">
	    <div class="col-md-12">
		<form class="form-inline">
		    <div class="form-group form-group-sm">
			<input id="receipt-textfield" type="text" class="form-control" placeholder="Enter Receipt Serial No.">
		    </div>
		    <button id="receipt-check-btn" type="button" class="btn btn-primary" data-url="{{ action('PaymentController@checkPayment') }}">Check</button>
		</form>
		<p style="margin-top: 5px">Check serial number and re-print.</p>
		<span id="result" style="font-weight: bold"></span>
	    </div>
	</div>
    </div>
</div>

@stop
