<div class="modal fade" id="depositModal" tabindex="-1" role="dialog" aria-labelledby="depositModalLabel" aria-hidden="true">
    <div class="modal-dialog">
	<div class="modal-content">
	    <div class="modal-header">
		<button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
		<h4 class="modal-title">Deposit Unit {{ $tenant->unit_no }}</h4>
	    </div>
	    <div class="modal-body">
		<div class="row" style="margin-bottom: 5px">
		    <div class="col-md-12" id="message-deposit"></div>
		</div>
		{{ Form::open(array('url' => action('TenantController@submitDeposit'), 'class' => 'form-horizontal', 'id' => 'deposit-form')) }}
		<div class="form-group form-group-sm">
		    <label class="col-sm-4 control-label">Deposit For</label>
		    <div class="col-sm-8">
			<p class="form-control-static">Deposit {{ Session::get('project')->location_name . ' ' . $tenant->property_type }}</p>
			{{ Form::text('description', 'Deposit ' . Session::get('project')->location_name . ' ' . $tenant->property_type, array('class' => 'hide','id' => 'description-field')) }}
		    </div>
		</div>
		{{ Form::hidden('tenant_id', $tenant->id, array('id' => 'tenant-id')) }}
		<div class="form-group form-group-sm">
		    <label class="col-sm-4 control-label">2 Month Rental Payment</label>
		    <div class="col-sm-4">
			{{ Form::text('two_month_rental', 0.00, array('class' => 'form-control', 'id' => 'two-month-field', 'required' => 'required')) }}
		    </div>
		</div>
		<div class="form-group form-group-sm">
		    <label class="col-sm-4 control-label">1 Month Rental Payment</label>
		    <div class="col-sm-4">
			{{ Form::text('one_month_rental', 0.00, array('class' => 'form-control', 'id' => 'one-month-field', 'required' => 'required')) }}
		    </div>
		</div>
		<div class="form-group form-group-sm">
		    <div class="col-sm-4 col-lg-offset-4">
			<div class="input-group">
			    <div class='input-group date input-group-sm' id='datetimepicker1'>
				{{ Form::text('mon_year', date('M Y'), array('class' => 'form-control input-sm', 'id' => 'mon-year-field', 'placeholder' => date('M Y'))) }}
				<span class="input-group-addon"><span class="glyphicon glyphicon-calendar"></span>
				</span>
			    </div>
			</div>
		    </div>
		</div>
		<div class="form-group form-group-sm">
		    <label class="col-sm-4 control-label">Utilities (Electricity / Water)</label>
		    <div class="col-sm-4">
			{{ Form::text('utilities', 0.00, array('class' => 'form-control', 'id' => 'utilities-field', 'required' => 'required')) }}
		    </div>
		</div>
		<div class="form-group form-group-sm">
		    <label class="col-sm-4 control-label">Management Fees</label>
		    <div class="col-sm-4">
			{{ Form::text('management_fee', 0.00, array('class' => 'form-control', 'id' => 'management-field', 'required' => 'required')) }}
		    </div>
		</div>
		<div class="form-group form-group-sm">
		    <label class="col-sm-4 control-label">Note</label>
		    <div class="col-sm-8">
			{{ Form::textarea('note', Input::old('note'), array('class' => 'form-control', 'id' => 'note-field', 'rows' => '5', 'placeholder' => 'Optional')) }}
		    </div>
		</div>
		<div class="form-group form-group-sm">
		    <label class="col-sm-4 control-label">Total Deposit</label>
		    <div class="col-sm-4">
			<p class="form-control-static" id="total-deposit"></p>
		    </div>
		</div>
	    </div>
	    <div class="modal-footer">
		<button id="autofill-btn" type="button" class="btn btn-default btn-sm">Auto Fill</button>
		<button id="reset-btn" type="reset" class="btn btn-default btn-sm">Reset</button>
		<button id="save-btn" type="submit" class="btn btn-primary btn-sm">Save &amp; Print</button>
	    </div>
	    {{ Form::close() }}
	</div>
    </div>
</div>
<input type="hidden" id="utility-fee" value="{{ $project->utility_fee }}">
<input type="hidden" id="management-fee" value="{{ $project->management_fee }}">
<input type="hidden" id="one-month" value="{{ $tenant->rental_rate }}">
<input type="hidden" id="two-month" value="{{ sprintf('%0.2f', $tenant->rental_rate * 2) }}">