<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta name="description" content="">
        <meta name="author" content="">
        <link rel="icon" href="{{ URL::asset('favicon.ico') }}">

        <title>PHSSB v2.0</title>

        <!-- Bootstrap core CSS -->
        <link href="{{ URL::asset('assets/css/bootstrap.min.css') }}" rel="stylesheet">
        <link href="{{ URL::asset('assets/css/font-awesome.min.css') }}" rel="stylesheet">
        <link href="{{ URL::asset('assets/css/custom.css') }}" rel="stylesheet">
        <link href="{{ URL::asset('assets/css/morris.css') }}" rel="stylesheet">
        <link href="{{ URL::asset('assets/css/selectize.css') }}" rel="stylesheet">
        <link href="{{ URL::asset('assets/css/bootstrap-datetimepicker.css') }}" rel="stylesheet">
        @if(isset($styles))
        @foreach($styles as $style)
        <link href="{{ URL::asset('assets/css/' . $style) }}" rel="stylesheet">
        @endforeach
        @endif
    </head>

    <body>

        <div class="navbar navbar-fixed-top" role="navigation">
            <div class="container-fluid">
                <div class="navbar-header">
                    <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target=".navbar-collapse">
                        <span class="sr-only">Toggle navigation</span>
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                    </button>
                </div>
                <div class="collapse navbar-collapse" class="navbar-collapse">
                    <ul class="nav navbar-nav navbar-right">
			@if (Auth::user()->type == 'admin')
			<li class="dropdown">
			    <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false">{{ Session::get('project')->location_code == '00' ? 'Select Project' : 'Project ' . Session::get('project')->project_name . ' - ' . Session::get('project')->location_name }} <span class="caret"></span></a>
			    <ul class="dropdown-menu" role="menu">
				@foreach (Location::getLocationOptions() as $locationId => $location)
				<li>
				    <a href="{{ action('AuthController@switchAdminLocation', array('id' => $locationId)) }}">
					{{ $location }}
				    </a>
				</li>
				@endforeach
				<li class="divider"></li>
				<li><a href="{{ action('AuthController@switchAdminLocation', array('id' => 1)) }}"><span class="glyphicon glyphicon-user"></span> PHSSB Admin</a></li>
			    </ul>
			</li>
			@else
			    @if (count(Session::get('locations')) > 1)
			    <li class="dropdown">
				<a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false">{{ Session::get('project')->location_code == '00' ? 'Select Project' : 'Project ' . Session::get('project')->project_name . ' - ' . Session::get('project')->location_name }} <span class="caret"></span></a>
				<ul class="dropdown-menu" role="menu">
				    @foreach (Session::get('locations') as $location)
				    <li>
					<a href="{{ action('AuthController@switchAdminLocation', array('id' => $location->id)) }}">
					    {{ $location->location_name }}
					</a>
				    </li>
				    @endforeach
				</ul>
			    </li>
			    @endif
			@endif
                        <li>
                            <a href="{{ route('profile.edit', Auth::id()) }}">Welcome, {{ Auth::user()->name }}</a>
                        </li>
                        <li><a href="{{ url('logout') }}"><strong>Logout</strong></a></li>
                    </ul>
                    <ul id="custom-nav-menu" class="nav navbar-nav">
                        @include('menu')
                    </ul>
		    <form class="navbar-form navbar-right" action="{{ action('PaymentController@search') }}" method="post">
			<input type="text" name="search_tenant" class="form-control" placeholder="Search Unit No / MyKAD / Name of Tenants">
			<input type="hidden" name="origin" value="navbar">
		    </form>
                </div>
            </div>
        </div>

        <div class="container-fluid">
            <div class="row">
                <div class="col-sm-3 col-md-2 sidebar">
		    <h4>PHSSB v2.0</h4>
		    <p>Project: {{ Session::get('project')->project_name }}<br>
			Location: {{ Session::get('project')->location_name }}</p>
                    <ul class="nav nav-sidebar">
                        @include('menu')
                    </ul>
                </div>
                <div class="col-sm-9 col-sm-offset-3 col-md-10 col-md-offset-2 main">
                    {{-- Session flash --}}
                    @if (Session::has('message'))
                    <div class="row" style="margin-top:10px">
                        <div class="col-md-12">
                            <div class="alert alert-success alert-dismissible main-alert" role="alert">
                                <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>

                                <span class="glyphicon glyphicon-ok-sign"></span> {{ Session::get('message') }}
                            </div>
                        </div>
                    </div>
                    @endif
                    @if (Session::has('error'))
                    <div class="row" style="margin-top:10px">
                        <div class="col-md-12">
                            <div class="alert alert-danger alert-dismissible main-alert" role="alert">
                                <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
                                <span class="glyphicon glyphicon-warning-sign"></span> {{ Session::get('error') }}
                            </div>
                        </div>
                    </div>
                    @endif

                    @yield('content')
                </div>
            </div>
        </div>
	<div id="confirm-modal" class="modal fade">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
                        <h3 class="modal-title">Notification</h3>
                    </div>
                    <div class="modal-body">
                        <p id="modal-body"></p>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-default" data-dismiss="modal">Cancel</button>
                        <button id="confirm-btn" type="button" class="btn btn-danger"></button>
                    </div>
                </div><!-- /.modal-content -->
            </div><!-- /.modal-dialog -->
        </div><!-- /.modal -->
	<div id="message-modal" class="modal fade">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
                        <h3 class="modal-title">Notification</h3>
                    </div>
                    <div class="modal-body">
                        <p id="message-modal-body"></p>
                    </div>
                    <div class="modal-footer">
                        <button id="message-close-btn" type="button" class="btn btn-default">Close</button>
                    </div>
                </div><!-- /.modal-content -->
            </div><!-- /.modal-dialog -->
        </div>
        <script src="{{ URL::asset('assets/js/jquery.min.js') }}"></script>
        <script src="{{ URL::asset('assets/js/bootstrap.min.js') }}"></script>
        <script src="{{ URL::asset('assets/js/raphael.min.js') }}"></script>
        <script src="{{ URL::asset('assets/js/morris.min.js') }}"></script>
        <script src="{{ URL::asset('assets/js/moment.min.js') }}"></script>
        <script src="{{ URL::asset('assets/js/bootstrap-datetimepicker.js') }}"></script>
        <script src="{{ URL::asset('assets/js/selectize.js') }}"></script>
	<script src="{{ URL::asset('assets/scripts/confirm-delete-record.js') }}"></script>
        @if(isset($scripts))
        @foreach($scripts as $script)
        <script src="{{ URL::asset('assets/scripts/' . $script) }}"></script>
        @endforeach
        @endif
    </body>
</html>
