@extends('layout')

@section('content')

@if (isset($location))
{{ Form::model($location, array('url' => route('location.update', $location->id), 'method' => 'PUT', 'class' => 'form-horizontal')) }}
@else
{{ Form::open(array('url' => route('location.store'), 'class' => 'form-horizontal')) }}
@endif
<div class="row">
    <div class="col-md-12">
        <h2 class="page-title">
	    Edit Location
	    <a href="{{ url('project/create') }}" class="btn btn-sm btn-primary pull-right">New Project</a>
	    <a href="{{ url('project') }}" class="btn btn-sm btn-default pull-right">Cancel</a>
	    <button type="submit" class="btn btn-sm btn-success btn-normal pull-right">Save</button>
        </h2><hr>
        @if (count($errors->all()))
	<div class="alert alert-danger alert-dismissible" role="alert">
	    <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
	    {{ HTML::ul($errors->all()) }}
	</div>
        @endif
    </div>
</div>
<div class="row">
    <div class="col-md-12">

	<div class="form-group">
	    <label class="col-sm-1 control-label">Project</label>
	    <div class="col-sm-11">
		<p class="form-control-static">
		    {{ Form::hidden('project_id', $project->id) }}
		    {{ $project->project_code }} - {{ $project->project_name }} 
		</p>
	    </div>
	</div>
	<div class="form-group form-sm">
            <div class="col-sm-12" id="placeholder-section">
		<div class="row">
		    <span class="col-lg-1"><h6>Code</h6></span>
		    <span class="col-lg-2"><h6>Location Name</h6></span>
		    <span class="col-lg-3"><h6>Description</h6></span>
		    <span class="col-lg-1"><h6>Area</h6></span>
		    <span class="col-lg-1"><h6>Water Bill</h6></span>
		    <span class="col-lg-1"><h6>Max Notice</h6></span>
		    <span class="col-lg-1"><h6>Utility Fee</h6></span>
		    <span class="col-lg-1"><h6>Management Fee</h6></span>
		</div>
		@if (isset($locations) && count($locations))
		<?php $m = 0 ?>
		@foreach ($locations as $location)
		<div class="row row-field">
		    <span class="col-lg-1">
			{{ Form::text('location_codes[]', $location->location_code, array('class' => 'form-control')) }}
			{{ Form::hidden('location_id[]', $location->id, array('class' => 'form-control')) }}
		    </span>
		    <span class="col-lg-2">
			{{ Form::text('location_names[]', $location->location_name, array('class' => 'form-control')) }}
		    </span>
		    <span class="col-lg-3">
			{{ Form::text('location_descriptions[]', $location->description, array('class' => 'form-control')) }}
		    </span>
		    <span class="col-lg-1">
			{{ Form::number('location_areas[]', $location->area, array('class' => 'form-control')) }}
		    </span>
		    <span class="col-lg-1">
			{{ Form::select('has_water_bills[]', array(0 => 'No', 1 => 'Yes'), $location->has_water_bill, array('class' => 'form-control')) }}
		    </span>
		    <span class="col-lg-1">
			{{ Form::select('maximum_notices[]', array(1 => '1', 2 => '2', 3 => '3', 4 => '4', 5 => '5'), $location->maximum_notice, array('class' => 'form-control')) }}
		    </span>
		    <span class="col-lg-1">
			{{ Form::number('utility_fees[]', $location->utility_fee, array('class' => 'form-control')) }}
		    </span>
		    <span class="col-lg-1">
			{{ Form::number('management_fees[]', $location->management_fee, array('class' => 'form-control')) }}
		    </span>
		    <span class="col-lg-1">
			@if ($m++ == 0)
			<button id="btn-add-row" class="btn btn-info btn-xs"><span class="fa fa-plus fa-lg"></span></button>
			@else
			<button data-url="{{ action('LocationController@destroy', $location->id) }}" class="btn btn-danger btn-xs delete-btn">Delete</button>
			@endif
		    </span>
		</div>
		@endforeach
		@else
		<div class="row row-field">
		    <span class="col-lg-1">
			{{ Form::text('location_codes[]', null, array('class' => 'form-control')) }}
			{{ Form::hidden('location_id[]', null, array('class' => 'form-control')) }}
		    </span>
		    <span class="col-lg-2">
			{{ Form::text('location_names[]', null, array('class' => 'form-control')) }}
		    </span>
		    <span class="col-lg-3">
			{{ Form::text('location_descriptions[]', null, array('class' => 'form-control')) }}
		    </span>
		    <span class="col-lg-1">
			{{ Form::number('location_areas[]', null, array('class' => 'form-control')) }}
		    </span>
		    <span class="col-lg-1">
			{{ Form::select('has_water_bills[]', array(0 => 'No', 1 => 'Yes'), null, array('class' => 'form-control')) }}
		    </span>
		    <span class="col-lg-1">
			{{ Form::select('maximum_notices[]', array(1 => '1', 2 => '2', 3 => '3', 4 => '4', 5 => '5'), null, array('class' => 'form-control')) }}
		    </span>
		    <span class="col-lg-1">
			{{ Form::number('utility_fees[]', null, array('class' => 'form-control')) }}
		    </span>
		    <span class="col-lg-1">
			{{ Form::number('management_fees[]', null, array('class' => 'form-control')) }}
		    </span>
		    <span class="col-lg-1">
			<button id="btn-add-row" class="btn btn-info btn-xs"><span class="fa fa-plus fa-lg"></span></button>
		    </span>
		</div>
		@endif
            </div>
        </div>
    </div>
</div>
<div id="template-dynamic-field" class="hide">
    <div class="row row-field">
	<span class="col-lg-1">
	    {{ Form::text('location_codes[]', null, array('class' => 'form-control')) }}
	    {{ Form::hidden('location_id[]', null, array('class' => 'form-control')) }}
	</span>
	<span class="col-lg-2">
	    {{ Form::text('location_names[]', null, array('class' => 'form-control')) }}
	</span>
	<span class="col-lg-3">
	    {{ Form::text('location_descriptions[]', null, array('class' => 'form-control')) }}
	</span>
	<span class="col-lg-1">
	    {{ Form::number('location_areas[]', null, array('class' => 'form-control')) }}
	</span>
	<span class="col-lg-1">
	    {{ Form::select('has_water_bills[]', array(0 => 'No', 1 => 'Yes'), null, array('class' => 'form-control')) }}
	</span>
	<span class="col-lg-1">
	    {{ Form::select('maximum_notices[]', array(1 => '1', 2 => '2', 3 => '3', 4 => '4', 5 => '5'), null, array('class' => 'form-control')) }}
	</span>
	<span class="col-lg-1">
	    {{ Form::number('utility_fees[]', null, array('class' => 'form-control')) }}
	</span>
	<span class="col-lg-1">
	    {{ Form::number('management_fees[]', null, array('class' => 'form-control')) }}
	</span>
	<span class="col-lg-1">
	    <button class="btn btn-danger btn-xs btn-remove">Delete</button>
	</span>
    </div>
</div>
{{ Form::close() }}

@stop
