<li class="main-menu">MAIN</li>
<li {{ Route::currentRouteAction() == 'DashboardController@index' ? 'class="active"' : '' }}>
    <a class="sub-menu" href="{{ url('dashboard') }}"><span class="fa fa-bar-chart-o"></span> Dashboard</a>
</li>
@if (Auth::user()->type != 'admin' || (Auth::user()->type == 'admin' && Session::get('project')->location_name != 'PHSSB'))
<li class="main-menu">TENANT</li>
<li {{ Route::currentRouteAction() == 'TenantController@index' || Route::currentRouteAction() == 'TenantController@show' ? 'class="active"' : '' }}>
    <a class="sub-menu" href="{{ url('tenant') }}"><span class="fa fa-list"></span> Tenant List</a>
</li>
<li {{ Route::currentRouteAction() == 'TenantController@create' ? 'class="active"' : '' }}>
    <a class="sub-menu" href="{{ url('tenant/create') }}"><span class="fa fa-file-text-o"></span> Registration</a>
</li>
<li {{ Route::currentRouteAction() == 'PaymentController@index' ? 'class="active"' : '' }}>
    <a class="sub-menu" href="{{ url('payment') }}"><span class="fa fa-inbox"></span> Rental / Bill Payment</a>
</li>

<li class="main-menu">APPLICANT</li>
<li {{ Route::currentRouteAction() == 'ApplicantController@create' ? 'class="active"' : '' }}>
    <a class="sub-menu" href="{{ url('applicant/create') }}"><span class="fa fa-plus-square-o"></span> Register Applicant</a>
</li>
<li {{ Route::currentRouteAction() == 'ApplicantController@index' ? 'class="active"' : '' }}>
    <a class="sub-menu" href="{{ url('applicant') }}"><span class="fa fa-file-text"></span> Applicant List</a>
</li>

<li class="main-menu">REPORTS</li>
<li {{ Route::currentRouteAction() == 'ReportController@index' && Input::get('report_type') == 'rental' ? 'class="active"' : '' }}>
    <a class="sub-menu" href="{{ action('ReportController@index', array('report_type' => 'rental')) }}"><span class="fa fa-file-text"></span> Rental Report</a>
</li>
<li {{ Route::currentRouteAction() == 'ReportController@index' && Input::get('report_type') == 'water' ? 'class="active"' : '' }}>
    <a class="sub-menu" href="{{ action('ReportController@index', array('report_type' => 'water')) }}"><span class="fa fa-tint"></span>&nbsp; Water Report</a>
</li>
<li {{ Route::currentRouteAction() == 'ReportController@index' && Input::get('report_type') == 'deposit' ? 'class="active"' : '' }}>
    <a class="sub-menu" href="{{ action('ReportController@index', array('report_type' => 'deposit')) }}"><span class="fa fa-tint"></span>&nbsp; Deposit Report</a>
</li>
<li {{ Route::currentRouteAction() == 'ReportController@dataAnalysis' ? 'class="active"' : '' }}>
    <a class="sub-menu" href="{{ url('report/analysis') }}"><span class="fa fa-line-chart"></span>Rent Data Analysis</a>
</li>

<li class="main-menu">NOTICE</li>
@for ($i = 0; $i < Session::get('project')->maximum_notice; $i++)
<li><a class="sub-menu" href="{{ url('notice/' . ($i + 1)) }}" target="_blank"><span class="fa fa-circle-o"></span> Notice {{ $i + 1 }}</a></li>
@endfor
<li><a class="sub-menu" href="{{ url('notpaid') }}"><span class="fa fa-circle-o"></span> Not Paid List</a></li>
@endif

@if (Auth::user()->type == 'admin')
<li class="main-menu">ADMINISTRATION</li>
<li {{ Route::currentRouteAction() == 'ProjectController@index' ? 'class="active"' : '' }}>
    <a class="sub-menu" href="{{ url('project') }}"><span class="fa fa-star"></span> Projects</a>
</li>
<li {{ Route::currentRouteAction() == 'PropertyController@index' ? 'class="active"' : '' }}>
    <a class="sub-menu" href="{{ url('property') }}"><span class="fa fa-home"></span> Properties</a>
</li>
<li {{ Route::currentRouteAction() == 'BillController@index' ? 'class="active"' : '' }}>
    <a class="sub-menu" href="{{ url('bill') }}"><span class="fa fa-calculator"></span> Bills</a>
</li>
<li {{ Route::currentRouteAction() == 'UserController@index' ? 'class="active"' : '' }}>
    <a class="sub-menu" href="{{ url('user') }}"><span class="fa fa-group"></span> Users</a>
</li>
<li {{ Route::currentRouteAction() == 'LogController@cron' ? 'class="active"' : '' }}>
    <a class="sub-menu" href="{{ url('log/cron') }}"><span class="fa fa-exchange"></span> Cron Logs</a>
</li>
@endif
