@extends('layout')

@section('content')
<div class="row">
    <div class="col-md-12">
	<h2 class="page-title">
	    Notes <small> {{ $property->location->location_name }}, Unit {{ $property->unit_no }}</small>
	</h2><hr>
    </div>
</div>
@if (isset($oldNote))
{{ Form::open(array('url' => action('NoteController@update', $oldNote->id), 'class' => 'form-horizontal', 'method' => 'PUT')) }}
@else
{{ Form::open(array('url' => 'note', 'class' => 'form-horizontal')) }}
@endif
<div class="row" style="margin-bottom: 20px">
    <div class="col-md-4">
	{{ Form::textarea('text', isset($oldNote) ? $oldNote->text : null, array('class' => 'form-control', 'required' => 'required', 'rows' => '5', 'placeholder' => 'Enter your text here.')) }}
	{{ Form::hidden('property_id', Input::get('property')) }}
	<br>
	<button type="submit" class="btn btn-primary btn-sm">{{ isset($oldNote) ? 'Save' : 'Add New' }} Note</button> 
    </div>
</div>		
{{ Form::close() }}
<div class="row">
    <div class="col-md-12">
	<table class="table table-list table-striped table-condensed">
	    <thead>
		<tr>
		    <th>#</th>
		    <th class="col-lg-6">Note</th>
		    <th>User</th>
		    <th>Time</th>
		    <th>Action</th>
		</tr>
	    </thead>
	    <tbody>
		<?php $i = 0 ?>
		@if (count($notes))
		@foreach($notes as $note)        
		<tr>
		    <td>{{ $i + 1 }}</td>
		    <td class="text-capitalize text-justify">{{ nl2br($note->text) }}</td>
		    <td>{{ $note->name }}</td> 
		    <td>{{ $note->created_at }}</td>
		    <td>
			<a href="{{ action('NoteController@index', array('property' => Input::get('property'), 'edit' => $note->id)) }}" class="btn btn-info btn-xs">Edit</a>
			@if ((isset($oldNote) && $oldNote->id != $note->id) || !Input::has('edit') )
			<button data-url="{{ action('NoteController@destroy', $note->id) }}" class="btn btn-danger btn-xs delete-btn">Delete</button>
			@endif
		    </td>
		</tr>
		<?php $i++ ?>
		@endforeach
		@else
		<tr><td colspan="8" class="grey text-center">No record found</td></tr>
		@endif
	    </tbody>
	</table>
    </div>
</div>
</div>

@stop
