@extends('layout')

@section('content')
<div class="row">
    <div class="col-md-12">
	<h2 class="page-title">
	    Not Paid List
	    <a href="{{ action('BillController@notPaidList', array('month' => Input::get('month'), 'format' => 'html')) }}" target="_blank" class="btn btn-sm btn-default pull-right">Print</a>
	</h2><hr>
    </div>
</div>
<div class="row">
    <div class="col-md-3">
	<div class="panel panel-default">
	    <div class="panel-heading">
		Filter By Month - Year
	    </div>
	    <div class="panel-body" style="padding:10px;">
		{{ Form::open(array('url' => 'notpaid/filter')) }}
		<div class="form-group form-group-sm">
		    <p>Please use date picker <span class="glyphicon glyphicon-calendar"></span><br>or enter "Mon YYYY" format</p>
		    <div class='input-group date input-group-sm' id='datetimepicker1'>
			{{ Form::text('mon_year', Input::get('mon_year'), array('class' => 'form-control input-sm', 'placeholder' => 'Apr 2015')) }}
			<span class="input-group-addon"><span class="glyphicon glyphicon-calendar"></span>
			</span>
		    </div>
		</div>
		<button type="submit" class="btn btn-primary btn-sm btn-block" style="margin-top: 10px">Submit</button>
		{{ Form::close() }}
	    </div>
	</div>
    </div>
    <div class="col-md-9">
	<div class="row" style="margin-bottom: 20px">

	    <div class="col-md-6">
		<span class="text-warning">{{ $paginationText }}</span>
	    </div>
	    <div class="col-md-6">
		<div class="pull-right">{{ $paginationLinks }}</div>
	    </div>
	</div>
	<table class="table table-list table-striped table-condensed">
	    <thead>
		<tr>
		    <th>#</th>
		    <th>Unit No.</th>
		    <th>Tenant Name</th>
		    <th>Amount Due</th>
		    <th>Type</th>
		</tr>
	    </thead>
	    <tbody>
		<?php $i = 0 ?>
		@if (count($bills))
		@foreach($bills as $bill)        
		<tr>
		    <td>{{ $i + $bills->getFrom() }}</td>
		    <td>{{ $bill->unit_no }}</td>
		    <td class="text-capitalize">{{ $bill->tenant_name }}</td>
		    <td>RM {{ $bill->amount_due }}</td>
		    <td class="text-capitalize">{{ $bill->bill_type_name }}</td>
		</tr>
		<?php $i++ ?>
		@endforeach
		@else
		<tr><td colspan="5" class="grey text-center">No record found</td></tr>
		@endif
	    </tbody>
	</table>
    </div>
</div>
</div>

@stop
