@extends('layout')

@section('content')

<div class="row">
    <div class="col-md-12">
        <h2 class="page-title">Change Password</h2>
        <hr />
        @if (count($errors->all()))
        <div class="alert alert-danger alert-dismissible" role="alert">
            <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
            {{ HTML::ul($errors->all()) }}
        </div>
        @endif
    </div>
</div>
<div class="row">
    <div class="col-md-8">
        {{ Form::open(array('action' => array('PasswordController@update'), 'method' => 'PUT', 'class' => 'form-horizontal')) }}
        <div class="form-group">
            <label class="col-sm-3 control-label">Current password</label>
            <div class="col-sm-5">
                {{ Form::password('current_password', array('class' => 'form-control', 'required' => 'required')) }}
            </div>
        </div>
        <div class="form-group">
            <label class="col-sm-3 control-label">New password</label>
            <div class="col-sm-5">
                {{ Form::password('password', array('class' => 'form-control', 'required' => 'required')) }}
            </div>
        </div>
        <div class="form-group">
            <label class="col-sm-3 control-label">New password (repeat)</label>
            <div class="col-sm-5">
                {{ Form::password('password_confirmation', array('class' => 'form-control', 'required' => 'required')) }}
            </div>
        </div>
        <div class="form-group">
            <div class="col-sm-6 col-sm-offset-3">
                <a href="{{ route('user.edit', Auth::id()) }}" class="btn btn-danger btn-normal">Cancel</a>
                <button type="submit" class="btn btn-primary btn-normal">Submit</button>
            </div>
        </div>
        {{ Form::close() }}
    </div>
</div>

@stop
