@extends('layout')

@section('content')
<div class="row">
    <div class="col-md-12">
	<h2 class="page-title">
	    Rental / Bill Payment
	</h2><hr>
    </div>
</div>
<div class="row" style="margin-bottom: 10px">
    {{ Form::open(array('url' => 'payment/search', 'class' => 'form-horizontal')) }}
    <div class="col-sm-5">
	<div class="input-group">
	    <input type="text" name="search_tenant" class="form-control" placeholder="Search Unit No. / NRIC / Name of Tenant" style="height:34px;">
	    <input type="hidden" name="origin" value="payment">
	    <span class="input-group-btn">
		<button class="btn btn-primary" type="submit">Search</button>
	    </span>
	</div>
    </div>
    {{ Form::close() }}
</div>
<div class="row">
    <div class="col-md-5">
	<div class="panel panel-default">
	    <div class="panel-heading">
		Personal Information
		@if (isset($tenant->id))
		<a href="{{ action('TenantController@show', $tenant->id) }}" class="btn btn-xs btn-info pull-right">Show Profile & Payment History</a>
		@endif
	    </div>
	    <div class="panel-body">
		<form class="form-horizontal form-detail">
		    @if (isset($tenant->ic_no))
		    <div class="form-group form-group-sm">
			<label class="col-sm-5 control-label">MyKad / NRIC</label>
			<div class="col-sm-7">
			    <p class="form-control-static">{{ isset($tenant->ic_no) ? $tenant->ic_no : '-' }}</p>
			</div>
		    </div>
		    @else
		    <div class="form-group form-group-sm">
			<label class="col-sm-5 control-label">Passport</label>
			<div class="col-sm-7">
			    <p class="form-control-static">{{ isset($tenant->passport_no) && strlen($tenant->passport_no) ? $tenant->passport_no : '-' }}</p>
			</div>
		    </div>
		    @endif
		    <div class="form-group form-group-sm">
			<label class="col-sm-5 control-label">Tenant Name</label>
			<div class="col-sm-7">
			    <p class="form-control-static">{{ isset($tenant->tenant_name) ? $tenant->tenant_name : '-' }}</p>
			</div>
		    </div>
		    <div class="form-group form-group-sm">
			<label class="col-sm-5 control-label">Unit No.</label>
			<div class="col-sm-7">
			    <p class="form-control-static">{{ isset($tenant->unit_no) ? $tenant->unit_no : '-' }}</p>
			</div>
		    </div>
		    <div class="form-group form-group-sm">
			<label class="col-sm-5 control-label">Status</label>
			<div class="col-sm-7">
			    <p class="form-control-static">{{ isset($tenant->status) ? $tenant->status === 'enable' ? 'Active since ' . date('j M Y', strtotime($tenant->start_date)) : 'Inactive' : '-' }} </p>
			</div>
		    </div>
		    @if (isset($otherPayment))
		    <div class="form-group form-group-sm">
			<label class="col-sm-5 control-label">Mobile</label>
			<div class="col-sm-7">
			    <p class="form-control-static">{{ $tenant->mobile ? $tenant->mobile : '-' }}</p>
			</div>
		    </div>
		    @endif
		</form>
	    </div>
	</div>
    </div>
    <div class="col-md-7">
	<div class="row">
	    <div class="col-md-12">
		<div class="panel panel-default">
		    <div class="panel-heading">
			Billing Summary
		    </div>
		    <div class="panel-body" style="padding-top: 10px">
			<table class="table table-condensed" style="margin-bottom: 4px">
			    <tbody>
				<tr>
				    <td>Deposit</td>
				    <td class="text-right text-success">
					@if (Input::has('tenant'))
					@if (isset($deposit->id))
					{{ 'RM ' . $deposit->total_deposit }}
					@else
					<button type="button" class="btn btn-link btn-xs" data-toggle="modal" data-target="#depositModal">Pay Now</button>
					@endif
					@endif
				    </td>
				</tr>
				<tr>
				    <td>
					Current Rental Bill {{ date('M Y') }}
					@if (isset($currentRental->payment_status))
					<span class="label label-default">{{ $currentRental->payment_status }}</span>
					@endif
				    </td>
				    <td class="text-right">
					{{ isset($currentRental->bill_amount) ? 'RM ' . $currentRental->bill_amount : '-' }}
				    </td>
				</tr>
				<tr>
				    <td>Total Previous Outstanding Rental</td>
				    <td class="text-danger text-right">{{ isset($totalOutstandingRental) ? 'RM ' . $totalOutstandingRental : '-' }}</td>
				</tr>
				<tr>
				    <td>
					Current Water Bill {{ date('M Y') }}
					@if (isset($currentWater->payment_status))
					<span class="label label-default"> {{ $currentWater->payment_status }}</span>
					@endif
				    </td>
				    <td class="text-right">
					{{ isset($currentWater->bill_amount) ? 'RM ' . $currentWater->bill_amount : '-' }}
				    </td>
				</tr>
				@if (isset($otherPayment))
				<tr>
				    <td>
					Remaining Payment for {{ $otherPayment->bill_type_name }}
				    </td>
				    <td class="text-right">
					{{ $otherPayment->amount_due }}
				    </td>
				</tr>
				@endif
			    </tbody>
			</table>
		    </div>
		</div>
	    </div>
	</div>
    </div>
</div>
<div class="row {{ isset($tenant->id) ? '' : 'hide' }}">
    <div class="col-md-12">
	{{ Form::open(array('url' => 'payment', 'class' => 'form-horizontal')) }}

	<div class="panel panel-default">
	    <div class="panel-heading">
		Bill Payment
		@if (isset($tenant->id))
		<button style="margin-left: 5px" id="reset-payment-btn" type="button" class="btn btn-xs btn-danger pull-right">Reset</button>
		<button style="margin-left: 5px" id="done-payment-btn" type="button" data-id="{{ isset($tenant->id) ? $tenant->id : '' }}" data-url="{{ action('PaymentController@submitPayment') }}" class="btn btn-xs btn-default pull-right disabled">Save &amp; Print</button>
		<button id="submit-payment-btn" type="button" data-id="{{ isset($tenant->id) ? $tenant->id : '' }}" data-url="{{ action('PaymentController@submitPaymentPreview') }}" class="btn btn-xs btn-primary pull-right">Preview Payment</button>
		@endif
	    </div>
	    <div class="panel-body" style="padding: 10px">
		<div class="row">
		    <div class="{{ isset($otherPayment) ? 'col-md-4' : 'col-md-5' }}">
			<h5><span class="fa fa-inbox"></span> Rental</h5>
			<div class="form-group form-group-sm">
			    <label class="col-sm-7 control-label">Monthly Rental Payment (RM)</label>
			    <div class="col-sm-5">
				<p class="form-control-static">{{ isset($rentalRate) ? $rentalRate : '' }}</p>
			    </div>
			</div>
			<div class="form-group form-group-sm">
			    <label class="col-sm-7 control-label">Rental Amount Paid  (RM)</label>
			    <div class="col-sm-3">
				{{ Form::text('rental_amount_paid', 0, array('class' => 'form-control', 'id' => 'rental-amount-field')) }}
			    </div>
			</div>
			<table class="table table-compact" style="margin-top: 15px; font-size: 11px">
			    <thead>
				<tr>
				    <th>#</th>
				    <th>Month / Year</th>
				    <th>Type</th>
				    <th>Amount Paid</th>
				    <th>Amount Due</th>
				</tr>
			    </thead>
			    <tbody id="rental-payment-table"></tbody>
			</table>
		    </div>
		    <div class="{{ isset($otherPayment) ? 'col-md-4' : 'col-md-5' }}" style="border-left: solid 1px #ddd; min-height: 150px">
			<h5><span class="fa fa-tint"></span> Water</h5>
			<div class="form-group form-group-sm">
			    <label class="col-sm-6 control-label">Month</label>
			    <div class="col-sm-4">
				<div class='input-group date input-group-sm' id='datetimepicker10'>
				    {{ Form::text('date_mon_year', date('M Y'), array('class' => 'form-control input-sm', 'id' => 'water-date-field')) }}
				    <span class="input-group-addon"><span class="glyphicon glyphicon-calendar"></span>
				    </span>
				</div>
			    </div>
			</div>
			<div class="form-group form-group-sm">
			    <label class="col-sm-6 control-label">Water Amount Paid  (RM)</label>
			    <div class="col-sm-3">
				{{ Form::text('water_amount_paid', 0, array('class' => 'form-control', 'id' => 'water-amount-field')) }}
			    </div>
			</div>
			<table class="table table-compact" style="margin-top: 15px; font-size: 11px">
			    <thead>
				<tr>
				    <th>#</th>
				    <th>Month / Year</th>
				    <th>Type</th>
				    <th>Amount Paid</th>
				    <th>Amount Due</th>
				</tr>
			    </thead>
			    <tbody id="water-payment-table"></tbody>
			</table>
		    </div>
		    @if (isset($otherPayment)) 
		    <div class="col-md-4" style="border-left: solid 1px #ddd;  min-height: 150px">
			<h5><span class="fa fa-file-o"></span> {{ $otherPayment->bill_type_name }}</h5>
			<div class="form-group form-group-sm">
			    <label class="col-sm-7 control-label">Month</label>
			    <div class="col-sm-4">
				<div class='input-group date input-group-sm' id='datetimepicker11'>
				    {{ Form::text('date_mon_year2', date('M Y'), array('class' => 'form-control input-sm', 'id' => 'other-date-field')) }}
				    <span class="input-group-addon"><span class="glyphicon glyphicon-calendar"></span>
				    </span>
				</div>
			    </div>
			</div>
			<div class="form-group form-group-sm">
			    <label class="col-sm-7 control-label">Amount Paid  (RM)</label>
			    <div class="col-sm-3">
				{{ Form::text('other_amount_paid', 0, array('class' => 'form-control', 'id' => 'other-amount-field')) }}
			    </div>
			</div>
			<table class="table table-compact" style="margin-top: 15px; font-size: 11px">
			    <thead>
				<tr>
				    <th>#</th>
				    <th>Month / Year</th>
				    <th>Type</th>
				    <th>Amount Paid</th>
				    <th>Amount Due</th>
				</tr>
			    </thead>
			    <tbody id="other-payment-table"></tbody>
			</table>
		    </div>
		    @endif
		</div>
	    </div>
	</div>
	{{ Form::close() }}
    </div>
</div>
@if (isset($tenant->id))
    @include('deposit_modal')
@endif
@stop