@extends('layout')

@section('content')

@if (isset($project))
{{ Form::model($project, array('route' => array('project.update', $project->id), 'method' => 'PUT', 'class' => 'form-horizontal')) }}
@else
{{ Form::open(array('url' => 'project', 'class' => 'form-horizontal')) }}
@endif
<div class="row">
    <div class="col-md-12">
        <h2 class="page-title">
            @if (isset($project))
	    Edit Project
	    <a href="{{ url('project/create') }}" class="btn btn-sm btn-primary pull-right">New Project</a>
            @else
	    Add Project
            @endif
	    <a href="{{ url('project') }}" class="btn btn-sm btn-default pull-right">Cancel</a>
	    <button type="submit" class="btn btn-sm btn-success btn-normal pull-right">Save</button>
        </h2><hr>
        @if (count($errors->all()))
	<div class="alert alert-danger alert-dismissible" role="alert">
	    <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
	    {{ HTML::ul($errors->all()) }}
	</div>
        @endif
    </div>
</div>
<div class="row">
    <div class="col-md-8">
        <div class="form-group form-group-sm">
            <label class="col-sm-3 control-label">Project Name</label>
            <div class="col-sm-6">
                {{ Form::text('project_name', Input::old('project_name'), array('class' => 'form-control', 'required' => 'required')) }}
            </div>
        </div>
	<div class="form-group form-group-sm">
            <label class="col-sm-3 control-label">Project Code</label>
            <div class="col-sm-2">
                {{ Form::text('project_code', Input::old('project_code'), array('class' => 'form-control', 'required' => 'required')) }}
            </div>
        </div>
    </div>
</div>
{{ Form::close() }}
@stop
