@extends('layout')

@section('content')
<div class="row">
    <div class="col-md-12">
	<h2 class="page-title">
	    Projects
	    <a href="{{ url('project/create') }}" class="btn btn-sm btn-primary pull-right">New Project</a>
	</h2><hr>
    </div>
</div>
<div class="row">
    <div class="col-md-12">
	<div class="row" style="margin-bottom: 20px">

	    <div class="col-md-6">
		<span class="text-warning">{{ $paginationText }}</span>
	    </div>
	    <div class="col-md-6">
		<div class="pull-right">{{ $paginationLinks }}</div>
	    </div>
	</div>
	<table class="table table-list table-striped table-condensed">
	    <thead>
		<tr>
		    <th>#</th>
		    <th>Project Name</th>
		    <th>Project Code</th>
		    <th>Locations</th>
		    <th></th>
		</tr>
	    </thead>
	    <tbody>
		<?php $i = 0 ?>
		@if (count($projects))
		@foreach($projects as $project)        
		<tr>
		    <td>{{ $i + $projects->getFrom() }}</td>
		    <td class="text-capitalize">{{ $project->project_name }}</td>
		    <td class="text-capitalize">{{ $project->project_code }}</td>
		    <td>
			<ul>
			@foreach ($project->locations()->where('status', 'enable')->get() as $location)
			<li>{{ $location->location_name }}</li>
			@endforeach
			</ul>
		    </td>
		    <td>
			<a href="{{ action('LocationController@create', array('project' => $project->id)) }}" class="btn btn-warning btn-xs">Location</a>
			<a href="{{ action('ProjectController@edit', $project->id) }}" class="btn btn-info btn-xs">Edit</a>
			<button data-url="{{ action('ProjectController@destroy', $project->id) }}" class="btn btn-danger btn-xs delete-btn">Delete</button>
		    </td>
		</tr>
		<?php $i++ ?>
		@endforeach
		@else
		<tr><td colspan="5" class="grey text-center">No record found</td></tr>
		@endif
	    </tbody>
	</table>
    </div>
</div>
</div>

@stop
