@extends('layout')

@section('content')

@if (isset($property))
{{ Form::model($property, array('url' => route('property.update', $property->id), 'method' => 'PUT', 'class' => 'form-horizontal')) }}
@else
{{ Form::open(array('url' => route('property.store'), 'class' => 'form-horizontal')) }}
@endif

<div class="row">
    <div class="col-md-12">
	@if (count($errors->all()))
	<div class="alert alert-danger alert-dismissible" role="alert">
	    <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
	    {{ HTML::ul($errors->all()) }}
	</div>
        @endif
    </div>
</div>
<div class="row">
    <div class="col-md-12">
        <h2 class="page-title">
            @if (isset($property))
	    Edit Property
            @else
	    Add Property
            @endif
	    <a href="{{ URL::previous() }}" class="btn btn-sm btn-default pull-right">Cancel</a>
	    <button type="submit" class="btn btn-sm btn-success pull-right btn-normal"></span> Save</button>
        </h2><hr>
    </div>
</div>
<div class="row">
    <div class="col-md-8">
	<div class="form-group form-group-sm">
	    <label class="col-sm-3 control-label">Project - Location <em>*</em></label>
	    <div class="col-sm-6">
		{{ Form::select('location_id', $locationOptions, Input::old('location_id'), array('class' => 'form-control')) }}
	    </div>
	</div>
	<div class="form-group form-group-sm">
	    <label class="col-sm-3 control-label">Type <em>*</em></label>
	    <div class="col-sm-6">
		{{ Form::text('property_type', Input::old('property_type'), array('class' => 'form-control', 'placeholder' => 'e.g: Teres 1 Tingkat, Semi-D, Apartment, Gerai, etc.')) }}
	    </div>
	</div>
        <div class="form-group form-group-sm">
            <label class="col-sm-3 control-label">Unit No. <em>*</em></label>
            <div class="col-sm-6">
                {{ Form::text('unit_no', Input::old('unit_no'), array('class' => 'form-control', 'required' => 'required')) }}
            </div>
        </div>
	<div class="form-group form-group-sm">
            <label class="col-sm-3 control-label">Block <em>*</em></label>
            <div class="col-sm-4">
                {{ Form::select('block', array('a' => 'Block A', 'b' => 'Block B', 'c' => 'Block C', 'd' => 'Block D', 'e' => 'Block E', 'f' => 'Block F'), Input::old('block'), array('class' => 'form-control')) }}
            </div>
        </div>
	<div class="form-group form-group-sm">
	    <label class="col-sm-3 control-label">Address Line 1 <em>*</em></label>
	    <div class="col-sm-6">
		{{ Form::text('line1', Input::old('line1'), array('class' => 'form-control', 'required' => 'required')) }}
	    </div>
	</div>
	<div class="form-group form-group-sm">
	    <label class="col-sm-3 control-label">Address Line 2</label>
	    <div class="col-sm-6">
		{{ Form::text('line2', Input::old('line2'), array('class' => 'form-control')) }}
	    </div>
	</div>
	<div class="form-group form-group-sm">
	    <label class="col-sm-3 control-label">City <em>*</em></label>
	    <div class="col-sm-4">
		{{ Form::text('city', Input::old('city'), array('class' => 'form-control', 'required' => 'required')) }}
	    </div>
	</div>
	<div class="form-group form-group-sm">
	    <label class="col-sm-3 control-label">State <em>*</em></label>
	    <div class="col-sm-4">
		{{ Form::text('state', Input::old('state'), array('class' => 'form-control', 'required' => 'required')) }}
	    </div>
	</div>
	<div class="form-group form-group-sm">
	    <label class="col-sm-3 control-label">Postcode <em>*</em></label>
	    <div class="col-sm-4">
		{{ Form::text('postcode', Input::old('postcode'), array('class' => 'form-control', 'required' => 'required')) }}
	    </div>
	</div>
	<div class="form-group form-group-sm">
	    <label class="col-sm-3 control-label">Country <em>*</em></label>
	    <div class="col-sm-4">
		{{ Form::text('country', Input::old('country'), array('class' => 'form-control', 'required' => 'required')) }}
	    </div>
	</div>
	<div class="form-group form-group-sm">
	    <label class="col-sm-3 control-label">Plot No.</label>
	    <div class="col-sm-4">
		{{ Form::text('plot_no', Input::old('plot_no'), array('class' => 'form-control')) }}
	    </div>
	</div>
	<div class="form-group form-group-sm">
	    <label class="col-sm-3 control-label">Lot Type</label>
	    <div class="col-sm-4">
		{{ Form::text('lot_type', Input::old('lot_type'), array('class' => 'form-control')) }}
	    </div>
	</div>
	<div class="form-group form-group-sm">
	    <label class="col-sm-3 control-label">Lot Status</label>
	    <div class="col-sm-4">
		{{ Form::text('lot_status', Input::old('lot_status'), array('class' => 'form-control')) }}
	    </div>
	</div>
	<div class="form-group form-group-sm">
	    <label class="col-sm-3 control-label">Area (Km<sup>2</sup>)</label>
	    <div class="col-sm-4">
		{{ Form::number('area', Input::old('area'), array('class' => 'form-control')) }}
	    </div>
	</div>
	<div class="form-group form-group-sm">
	    <label class="col-sm-3 control-label">Value (RM)</label>
	    <div class="col-sm-4">
		{{ Form::number('value', Input::old('value'), array('class' => 'form-control')) }}
	    </div>
	</div>
	<div class="form-group form-group-sm">
	    <label class="col-sm-3 control-label">Date Valued</label>
	    <div class="col-sm-4">
		<div class="input-group">
		    <div class='input-group date input-group-sm' id='datetimepicker1'>
			{{ Form::text('date_valued', Input::old('date_valued'), array('class' => 'form-control input-sm', 'placeholder' => 'DD-MM-YYYY')) }}
			<span class="input-group-addon"><span class="glyphicon glyphicon-calendar"></span></span>
		    </div>
		</div>
	    </div>
	</div>
    </div>
</div>
{{ Form::close() }}

@stop
