@extends('layout')

@section('content')
<div class="row">
    <div class="col-md-12">
	<h2 class="page-title">
	    Properties
	    <a href="{{ action('PropertyController@create') }}" class="btn btn-sm btn-primary pull-right">New Property</a>
	</h2><hr>
    </div>
</div>
<div class="row">
    <div class="col-md-3">
	<div class="panel panel-default">
	    <div class="panel-heading">
		Filter By Block
	    </div>
	    <div class="panel-body">
		<div class="list-group" style="margin-top: 10px">
		    <a href="{{ url('property?block=all') }}" class="list-group-item {{ $showing == 'all' ? 'active' : '' }}">
			All Blocks
		    </a>
		    @foreach ($blocks as $block)
		    <a href="{{ url('property?block=' . $block) }}" class="list-group-item {{ $showing == $block ? 'active' : '' }}">
			Block <span class="text-capitalize">{{ $block }}</span>
		    </a>
		    @endforeach
		</div>
	    </div>
	</div>
    </div>
    <div class="col-md-9">
	<div class="row" style="margin-bottom: 20px">
	    <div class="col-md-6">
		<span class="text-warning">{{ $paginationText }}</span>
	    </div>
	    <div class="col-md-6">
		<div class="pull-right">{{ $paginationLinks }}</div>
	    </div>
	</div>
	<table class="table table-list table-striped table-condensed">
	    <thead>
		<tr>
		    <th>#</th>
		    <th>Location</th>
		    <th>Unit No.</th>
		    <th>Type</th>
		    <th>Block</th>
		    <th>Vacancy</th>
		    <th style="width:190px">Action</th>
		</tr>
	    </thead>
	    <tbody>
		<?php $i = 0 ?>
		@if (count($properties))
		@foreach($properties as $property)        
		<tr>
		    <td>{{ $i + $properties->getFrom() }}</td>
		    <td>{{ $property->location_name }}</td>
		    <td>{{ $property->unit_no }}</td>
		    <td>{{ $property->property_type }}</td>
		    <td class="text-capitalize">Block {{ $property->block }}</td>
		    <td class="text-capitalize {{ $property->vacancy == 'available' ? 'text-success' : 'text-danger'}} ">{{ $property->vacancy }}</td>
		    <td>
			<a href="{{ action('NoteController@index', array('property' => $property->id)) }}" class="btn btn-primary btn-xs">Notes</a>
			<a href="{{ action('PropertyController@getHistory', $property->id) }}" class="btn btn-warning btn-xs">History</a>
			<a href="{{ action('PropertyController@edit', $property->id) }}" class="btn btn-info btn-xs">Edit</a>
			<button data-url="{{ action('PropertyController@destroy', $property->id) }}" class="btn btn-danger btn-xs delete-btn">Delete</button>
		    </td>
		</tr>
		<?php $i++ ?>
		@endforeach
		@else
		<tr><td colspan="8" class="grey text-center">No record found</td></tr> 
		@endif
	    </tbody>
	</table>
    </div>
</div>

@stop
