@extends('layout')

@section('content')
<div class="row">
    <div class="col-md-12">
	<h2 class="page-title">
	    Rent Data Analysis
	</h2><hr>
    </div>
</div>
<div class="row" style="margin-bottom: 10px">
    {{ Form::open(array('url' => action('ReportController@dataAnalysis'), 'class' => 'form-inline', 'method' => 'GET')) }}
    <div class="col-sm-12">
	<div class="form-group">
	    <label>Search Month Year </label>
	    <div class="input-group">
		<div class='input-group date input-group-sm' id='datetimepicker1'>
		    {{ Form::text('mon_year', Input::get('mon_year'), array('class' => 'form-control input-sm', 'placeholder' => date('M Y'))) }}
		    <span class="input-group-addon"><span class="glyphicon glyphicon-calendar"></span>
		    </span>
		</div>
	    </div>
	    <button type="submit" class="btn btn-primary btn-sm">Submit</button>
	</div>
    </div>
    {{ Form::close() }}
</div>
<div class="row ">
    <div class="col-md-8">
	<div class="panel panel-info">
	    <div class="panel-heading">
		<b>Rental Collection {{ date('M Y') }}</b>
		<span class="pull-right label label-info">Total Tenants {{ $totalTenants }}</span>
	    </div>
	    <div class="panel-body">
		<div class="row text-center" style="margin-bottom: 10px">
		    <div class="col-md-2 col-md-offset-1">
			<h5 class="">TOTAL PAID<br>RM124</h5>
			<div class="circle-value circle-value-red center-block">{{ sprintf('%0.2f', $percentagePaid124CurrentMonth) }}%</div>
			<div class="label label-primary">{{ $alreadyPaid124CurrentMonth }} Tenants</div>
		    </div>
		    <div class="col-md-2">
			<h5 class="">TOTAL PAID<br>RM250</h5>
			<div class="circle-value circle-value-red center-block">{{ sprintf('%0.2f', $percentagePaid250CurrentMonth) }}%</div>
			<div class="label label-primary">{{ $alreadyPaid250CurrentMonth }} Tenants</div>
		    </div>
		    <div class="col-md-2">
			<h5 class="text-danger">NOT PAID<br>RM124</h5>
			<div class="circle-value circle-value-red center-block">{{ sprintf('%0.2f', $percentageNotPaid124CurrentMonth) }}%</div>
			<div class="label label-primary">{{ $notPaid124CurrentMonth }} Tenants</div>
		    </div>
		    <div class="col-md-2">
			<h5 class="text-danger">NOT PAID<br>RM250</h5>
			<div class="circle-value circle-value-red center-block">{{ sprintf('%0.2f', $percentageNotPaid250CurrentMonth) }}%</div>
			<div class="label label-primary">{{ $notPaid250CurrentMonth }} Tenants</div>
		    </div>
		    <div class="col-md-2">
			<h5 class="text-danger">TOTAL NOT PAID<br>RENTAL</h5>
			<div class="circle-value circle-value-red center-block">{{ sprintf('%0.2f', $percentageNotPaidCurrentMonth) }}%</div>
			<div class="label label-primary">{{ $notPaidCurrentMonth }} Tenants</div>
		    </div>
		</div>
	    </div>
	</div>
    </div>
    <div class="col-md-4">
	<div class="panel panel-warning">
	    <div class="panel-heading">
		<b>Water Collection {{ date('M Y') }}</b>
	    </div>
	    <div class="panel-body">
		<div class="row text-center" style="margin-bottom: 10px">
		    <div class="col-md-6">
			<h5 style="padding:8px 0">TOTAL PAID</h5>
			<div class="circle-value circle-value-green center-block">{{ sprintf('%0.2f', $percentagePaidWaterCurrentMonth) }}%</div>
			<div class="label label-primary">{{ $alreadyPaidWaterCurrentMonth }} Tenants</div>
		    </div>
		    <div class="col-md-6">
			<h5 style="padding:8px 0" class="text-danger">TOTAL UNPAID</h5>
			<div class="circle-value circle-value-green center-block">{{ sprintf('%0.2f', $percentageNotPaidWaterCurrentMonth) }}%</div>
			<div class="label label-primary">{{ $notPaidWaterCurrentMonth }} Tenants</div>
		    </div>
		</div>
	    </div>
	</div>
    </div>
</div>
<div class="row">
    <div class="col-md-6">
	<div class="panel panel-default right-panel">
	    <div class="panel-heading">
		<b>Paid RM124</b>
		<span class="pull-right label label-info">{{ $alreadyPaid124CurrentMonth }} Tenants</span>
	    </div>
	    <ul class="list-group">
		<li class="list-group-item">
		    Still Paid RM124 in Previous Month
		    <span class="badge pull-right">{{ $paid124With124PreviousMonth }}</span>
		</li>
		<li class="list-group-item">
		    Paid RM250 in Previous Month
		    <span class="badge pull-right">{{ $paid124With250PreviousMonth }}</span>
		</li>
		<li class="list-group-item">
		    Paid Below RM124 in Previous Month
		    <span class="badge pull-right">{{ $paid124WithBelow124PreviousMonth }}</span>
		</li>
		<li class="list-group-item">
		    Not Paid in Previous Month
		    <span class="badge pull-right">{{ $paid124WithNoPaidPreviousMonth }}</span>
		</li>
	    </ul>
	</div>
    </div>
    <div class="col-md-6">
	<div class="panel panel-default right-panel">
	    <div class="panel-heading">
		<b>Paid RM250</b>
		<span class="pull-right label label-info">{{ $alreadyPaid250CurrentMonth }} Tenants</span>
	    </div>
	    <ul class="list-group">
		<li class="list-group-item">
		    Still Paid RM250 in Previous Month
		    <span class="badge pull-right">{{ $paid250With250PreviousMonth }}</span>
		</li>
		<li class="list-group-item">
		    From RM124 to RM250 in Previous Month
		    <span class="badge pull-right">{{ $paid250With124to250PreviousMonth }}</span>
		</li>
		<li class="list-group-item">
		    Not Paid in Previous Month
		    <span class="badge pull-right">{{ $paid250WithNoPaidPreviousMonth }}</span>
		</li>
	    </ul>
	</div>
    </div>
</div>
@stop