@extends('plain')

@section('content')
<table>
    <tr>
	<td width="25%">
	    <img height="70px" src="{{ URL::asset('assets/img/logo.png') }}" />
	</td>
	<td>
	    <b>PERUMAHAN DAN HARTANAH SELANGOR SDN BHD</b><br>
	    <small>(874168-M)</small><br>  
	</td>
    </tr>
</table>
<h3><u>Laporan Bayaran Bil {{ $project->project_name }} - {{ $project->location_name }}</u></h3>
<table class="table table-bordered">
    <thead>
	<tr>
	    <th rowspan="4" class="text-center">#</th>
	    <th rowspan="4" class="text-center">Nama Penyewa</th>
	    <th rowspan="4" class="text-center">Unit</th>
	    <th rowspan="4" class="text-center">Resit No</th>
	    <th rowspan="4" class="text-center">Tarikh<br>Pembayaran</th>
	    <th class="text-center" colspan="{{ Input::get('report_type') == 'rental' ? '7' : '2' }}">{{ Input::get('report_type') == 'rental' ? 'Sewa' : 'Bil Air' }} </th>
	</tr>
	<tr>
	    @if (Input::get('report_type') == 'rental')
	    <th rowspan="3" class="text-center">Semasa (RM)</th>
	    <th colspan="4" class="text-center">Tunggakan</th>
	    <th rowspan="2" colspan="2" class="text-center">Terdahulu<br>(Advanced)</th>
	    @else
	    @if (Input::get('report_type') == 'deposit')
	    <th colspan="2">Jumlah (RM)</th>
	    @else
	    <th>Bulan / Tahun</th>
	    <th>RM</th>
	    @endif
	    @endif
	</tr>
	@if (Input::get('report_type') == 'rental')
	<tr>
	    <th colspan="2" class="text-center">Lain-Lain</th>
	    <th colspan="2" class="text-center">PHSSB</th>
	</tr>
	<tr>
	    <th>Month / Year</th>
	    <th>RM</th>
	    <th>Month / Year</th>
	    <th>RM</th>
	    <th>Month / Year</th>
	    <th>RM</th>
	</tr>
	@endif
    </thead>
    <tbody>
	<?php
	$i = 0;
	$sumCurrent = 0;
	$sumOther = 0;
	$sumOutstanding = 0;
	$sumAdvanced = 0;
	?>
	@if (count($payments))
	@foreach($payments as $payment) 

	<?php
	$paymentDate = strtotime(date('Y-m', strtotime($payment->paid_date)));
	$issueDate = strtotime(date('Y-m', strtotime($payment->issue_date)));
	$type = 'normal';
	if ($paymentDate > $issueDate)
	    $type = 'outstanding';
	else if ($paymentDate < $issueDate)
	    $type = 'advanced';
	?>

	<tr>
	    <td>{{ $i + 1 }}</td>
	    <td>{{ $payment->tenant_name }}</td>
	    <td>{{ $payment->unit_no }}</td>
	    <td>{{ $payment->receipt_no }}</td>
	    <td class="text-center">{{ date('d-m-Y h:i A', strtotime($payment->paid_date)) }}</td>

	    @if (Input::get('report_type') == 'rental'|| Input::get('report_type') == null)
	    <td class="text-right">
		@if ($payment->bill_type_name == 'Rental' && $type == 'normal')
		{{ $payment->amount_paid }}
		<?php $sumCurrent += $payment->amount_paid ?>
		@endif
	    </td>
	    <td class="text-center">{{ !in_array($payment->bill_type_name, array('Water', 'Rental')) ? date('M / Y', strtotime($payment->paid_date)) . ' (' . $payment->bill_type_name . ')' : '' }}</td>
	    <td class="text-right">
		@if (!in_array($payment->bill_type_name, array('Water', 'Rental')))
		{{  $payment->amount_paid }}
		<?php $sumOther += $payment->amount_paid ?>
		@endif
	    </td>
	    <td class="text-center">{{ $payment->bill_type_name == 'Rental' && $type == 'outstanding' ? date('M / Y', strtotime($payment->issue_date)) : '' }}</td>
	    <td class="text-right">
		@if ($payment->bill_type_name == 'Rental' && $type == 'outstanding')
		{{ $payment->amount_paid }}
		<?php $sumOutstanding += $payment->amount_paid ?>
		@endif
	    </td>
	    <td class="text-center">{{ $payment->bill_type_name == 'Rental' && $type == 'advanced' ? date('M / Y', strtotime($payment->issue_date)) : '' }}</td>
	    <td class="text-right">
		@if ($payment->bill_type_name == 'Rental' && $type == 'advanced')
		{{ $payment->amount_paid }}
		<?php $sumAdvanced += $payment->amount_paid ?>
		@endif
	    </td>
	    @else 
	    @if (Input::get('report_type') == 'deposit')
	    <td class="text-right" colspan="2">{{$payment->total_deposit }}</td>
	    @else
	    <td class="text-center">{{ $payment->bill_type_name == 'Water' ? date('M / Y', strtotime($payment->issue_date)) : '' }}</td>
	    <td class="text-right">{{ $payment->bill_type_name == 'Water' ? $payment->amount_paid : '' }}</td>
	    @endif

	    @endif
	</tr>
	<?php $i++ ?>
	@endforeach
	@if (Input::get('report_type') == 'rental'|| Input::get('report_type') == null)
	<tr>
	    <td colspan="5" class="footer text-center">Total (RM)</td>
	    <td colspan="1" class="footer text-right">{{ $sumCurrent }}</td>
	    <td colspan="2" class="footer text-right">{{ $sumOther }}</td>
	    <td colspan="2" class="footer text-right">{{ $sumOutstanding }}</td>
	    <td colspan="2" class="footer text-right">{{ $sumAdvanced }}</td>
	</tr>
	<tr>
	    <td colspan="5" class="footer text-center">Total Collections (RM)</td>
	    <td colspan="7" class="footer text-center">{{ $totalAmount }}</td>
	</tr>
	@else
	<tr>
	    <td colspan="5" class="footer text-center">Total Collections (RM)</td>
	    <td colspan="2" class="footer text-right">{{ $totalAmount }}</td>
	</tr>
	@endif
	@else
	<tr><td colspan="{{ Input::get('report_type') == 'rental' ? '12' : '7' }}" class="grey text-center">No record found</td></tr> 
	@endif
    </tbody>
</table>
@stop
