@extends('layout')

@section('content')

<div class="row">
    <div class="col-md-12">
        <h2 class="page-title">
            Report	    
	    <a href="{{ strpos(URL::full(), '?') !== false ? URL::full() . '&' : '?' }}format=html" target="_blank" class="btn btn-sm btn-default pull-right">Print</a>
        </h2><hr>
    </div>
</div>
<div class="row">
    <div class="col-md-3">
	<div class="panel panel-default">
	    <div class="panel-heading">
		Search
	    </div>
	    <div class="panel-body">
                {{ Form::open(array('url' => 'report/filter')) }}
		<div class="form-group form-group-sm">
		    <label>Report Type</label><br>
		    <span style="margin-right: 20px"><input type="radio" name="report_type" value="rental" <?php echo Input::get('report_type') == 'rental' || Input::get('report_type') == null ? 'checked' : '' ?>> Rental</span>
		    <span style="margin-right: 20px"><input type="radio" name="report_type" value="water" <?php echo Input::get('report_type') == 'water' ? 'checked' : '' ?>> Water</span>
		    <span style="margin-right: 20px"><input type="radio" name="report_type" value="deposit" <?php echo Input::get('report_type') == 'deposit' ? 'checked' : '' ?>> Deposit</span>
		</div>
		<div class="form-group form-group-sm" style="margin-top: 10px">
		    <label>From Date</label><br>
		    <div class='input-group date input-group-sm' id='datetimepicker1'>
			{{ Form::text('start_date', Input::get('start_date'), array('class' => 'form-control input-sm', 'placeholder' => 'ex: 31-01-2015')) }}
			<span class="input-group-addon"><span class="glyphicon glyphicon-calendar"></span>
			</span>
		    </div>
		</div>
		<div class="form-group form-group-sm" style="margin-top: 10px">
		    <label>To Date</label><br>
		    <div class='input-group date input-group-sm' id='datetimepicker2'>
			{{ Form::text('end_date', Input::get('end_date'), array('class' => 'form-control input-sm', 'placeholder' => 'ex: 31-01-2015')) }}
			<span class="input-group-addon"><span class="glyphicon glyphicon-calendar"></span>
			</span>
		    </div>
		</div>
		<button type="submit" class="btn btn-block btn-info btn-sm" style="margin: 10px 0">Submit</button>
		{{ Form::close() }}
	    </div>
	</div>
	<div class="panel panel-default">
	    <div class="panel-heading">
		Total
	    </div>
	    <div class="panel-body">
                RM {{ $totalAmount }}
	    </div>
	</div>
    </div>
    <div class="col-md-9">
	<div class="row" style="margin-bottom: 20px">
	    <div class="col-md-6">
		<span class="text-warning">{{ $paginationText }}</span>
	    </div>
	    <div class="col-md-6">
		<div class="pull-right">{{ $paginationLinks }}</div>
	    </div>
	</div>
	<div style="border:1px solid #f5f5f5; padding: 2px">
	    <table class="table table-condensed table-report">
		<thead>
		    <tr>
			<th rowspan="4">#</th>
			<th rowspan="4">Tenant Name</th>
			<th rowspan="4">Unit No</th>
			<th rowspan="4">Month</th>
			<th colspan="{{ Input::get('report_type') == 'rental' || Input::get('report_type') == null ? '7' : '2' }}">{{ Input::get('report_type') == 'rental' || Input::get('report_type') == null ? 'Rental' : (Input::get('report_type') == 'water' ? 'Water' : 'Deposit') }} </th>
		    </tr>
		    <tr>
			@if (Input::get('report_type') == 'rental' || Input::get('report_type') == null)
			<th rowspan="3">Current<br>Month (RM)</th>
			<th colspan="4">Outstanding</th>
			<th rowspan="2" colspan="2">Advanced</th>
			@else
			    @if (Input::get('report_type') == 'deposit')
			    <th colspan="2">Total (RM)</th>
			    @else
			    <th>Month / Year</th>
			    <th>RM</th>
			    @endif
			@endif
		    </tr>
		    @if (Input::get('report_type') == 'rental'|| Input::get('report_type') == null)
		    <tr>
			<th colspan="2">Other</th>
			<th colspan="2">PHSSB</th>
		    </tr>
		    <tr>
			<th>Month / Year</th>
			<th>RM</th>
			<th>Month / Year</th>
			<th>RM</th>
			<th>Month / Year</th>
			<th>RM</th>
		    </tr>
		    @endif
		</thead>
		<tbody>
		    <?php
		    $i = 0;
		    $sumCurrent = 0;
		    $sumOther = 0;
		    $sumOutstanding = 0;
		    $sumAdvanced = 0;
		    ?>
		    @if (count($payments))
		    @foreach($payments as $payment) 

		    <?php
		    $paymentDate = strtotime(date('Y-m', strtotime($payment->paid_date)));
		    $issueDate = strtotime(date('Y-m', strtotime($payment->issue_date)));
		    $type = 'normal';

		    if ($paymentDate > $issueDate) {
			$type = 'outstanding';
		    } else if ($paymentDate < $issueDate) {
			$type = 'advanced';
		    }
		    ?>

		    <tr>
			<td>{{ $i + $payments->getFrom() }}</td>
			<td><a href="{{ action('TenantController@show', $payment->tenant_id) }}">{{ $payment->tenant_name }}</a></td>
			<td>{{ $payment->unit_no }}</td>
			<td><a href="{{ action('PaymentController@printPayment', array('id' => $payment->id)) }}" target="_blank">{{ $payment->receipt_no }}</a></td>
			<td class="text-center">{{ date('d-m-Y h:i A', strtotime($payment->paid_date)) }}</td>

			@if (Input::get('report_type') == 'rental'|| Input::get('report_type') == null)
			<td class="text-right">
			    @if ($payment->bill_type_name == 'Rental' && $type == 'normal')
			    {{ $payment->amount_paid }}
			    <?php $sumCurrent += $payment->amount_paid ?>
			    @endif
			</td>

			<td class="text-center">{{ !in_array($payment->bill_type_name, array('Water', 'Rental')) ? date('M / Y', strtotime($payment->paid_date)) . ' (' . $payment->bill_type_name . ')' : '' }}</td>
			<td class="text-right">
			    @if (!in_array($payment->bill_type_name, array('Water', 'Rental')))
			    {{  $payment->amount_paid }}
			    <?php $sumOther += $payment->amount_paid ?>
			    @endif
			</td>
			<td class="text-center">{{ $payment->bill_type_name == 'Rental' && $type == 'outstanding' ? date('M / Y', strtotime($payment->issue_date)) : '' }}</td>
			<td class="text-right">
			    @if ($payment->bill_type_name == 'Rental' && $type == 'outstanding')
			    {{ $payment->amount_paid }}
			    <?php $sumOutstanding += $payment->amount_paid ?>
			    @endif
			</td>
			<td class="text-center">{{ $payment->bill_type_name == 'Rental' && $type == 'advanced' ? date('M / Y', strtotime($payment->issue_date)) : '' }}</td>
			<td class="text-right">
			    @if ($payment->bill_type_name == 'Rental' && $type == 'advanced')
			    {{ $payment->amount_paid }}
			    <?php $sumAdvanced += $payment->amount_paid ?>
			    @endif
			</td>
			@else 
			    @if (Input::get('report_type') == 'deposit')
			    <td class="text-right" colspan="2">{{$payment->total_deposit }}</td>
			    @else
			    <td class="text-center">{{ $payment->bill_type_name == 'Water' ? date('M / Y', strtotime($payment->issue_date)) : '' }}</td>
			    <td class="text-right">{{ $payment->bill_type_name == 'Water' ? $payment->amount_paid : '' }}</td>
			    @endif
			@endif
		    </tr>
		    <?php $i++ ?>
		    @endforeach
		    @if (Input::get('report_type') == 'rental'|| Input::get('report_type') == null)
		    <tr>
			<td colspan="5" class="footer text-center">Total (RM)</td>
			<td colspan="1" class="footer text-right">{{ $sumCurrent }}</td>
			<td colspan="2" class="footer text-right">{{ $sumOther }}</td>
			<td colspan="2" class="footer text-right">{{ $sumOutstanding }}</td>
			<td colspan="2" class="footer text-right">{{ $sumAdvanced }}</td>
		    </tr>
		    <tr>
			<td colspan="5" class="footer text-center">Total Collections (RM)</td>
			<td colspan="7" class="footer text-center">{{ $totalAmount }}</td>
		    </tr>
		    @else
		    <tr>
			<td colspan="5" class="footer text-center">Total Collections (RM)</td>
			<td colspan="2" class="footer text-right">{{ $totalAmount }}</td>
		    </tr>
		    @endif
		    @else
		    <tr><td colspan="{{ Input::get('report_type') == 'rental' ? '12' : '7' }}" class="grey text-center">No record found</td></tr> 
		    @endif
		</tbody>
	    </table>
	</div>
    </div>
</div>

@stop
