@extends('layout')

@section('content')
<div class="row">
    <div class="col-md-12">
	<h2 class="page-title">
	    Tenant Details <small>{{ $tenant->tenant_name }}</small>
	    <a href="{{ action('TenantController@index') }}" class="btn btn-sm btn-primary pull-right">Show All Tenants</a>
	</h2><hr>
    </div>
</div>
<div class="row">
    <div class="col-md-5">
	<div class="panel panel-default">
	    <div class="panel-heading">
		Personal Information
		<a href="{{ action('TenantController@edit', $tenant->id) }}" class="btn btn-xs btn-info pull-right">Edit Tenant</a>
	    </div>
	    <div class="panel-body" style="min-height: 670px">
		<form class="form-horizontal form-detail">
		    <div class="form-group form-group-sm">
			<label class="col-sm-5 control-label">MyKad / NRIC</label>
			<div class="col-sm-7">
			    <p class="form-control-static">{{ $tenant->ic_no }}</p>
			</div>
		    </div>
		    <div class="form-group form-group-sm">
			<label class="col-sm-5 control-label">Passport</label>
			<div class="col-sm-7">
			    <p class="form-control-static">{{ $tenant->passport_no ? $tenant->passport_no : '-' }}</p>
			</div>
		    </div>
		    <div class="form-group form-group-sm">
			<label class="col-sm-5 control-label">Tenant Name</label>
			<div class="col-sm-7">
			    <p class="form-control-static">{{ $tenant->tenant_name }}</p>
			</div>
		    </div>
		    <div class="form-group form-group-sm">
			<label class="col-sm-5 control-label">Unit No.</label>
			<div class="col-sm-7">
			    <p class="form-control-static">{{ $tenant->unit_no }}</p>
			</div>
		    </div>
		    <div class="form-group form-group-sm">
			<label class="col-sm-5 control-label">Status</label>
			<div class="col-sm-7">
			    <p class="form-control-static">{{ $tenant->status === 'enable' ? 'Active since ' . date('j M Y', strtotime($tenant->start_date)) : 'Inactive' }} </p>
			</div>
		    </div>
		    <div class="form-group form-group-sm">
			<label class="col-sm-5 control-label">Type</label>
			<div class="col-sm-7">
			    <p class="form-control-static text-capitalize">{{ strlen($tenant->type) ? $tenant->type : '-' }}</p>
			</div>
		    </div>
		    <div class="form-group form-group-sm">
			<label class="col-sm-5 control-label">Gender</label>
			<div class="col-sm-7">
			    <p class="form-control-static text-capitalize">{{ $tenant->gender }}</p>
			</div>
		    </div>
		    <div class="form-group form-group-sm">
			<label class="col-sm-5 control-label">Marital Status</label>
			<div class="col-sm-7">
			    <p class="form-control-static text-capitalize">{{ $tenant->marital_status }}</p>
			</div>
		    </div>
		    <div class="form-group form-group-sm">
			<label class="col-sm-5 control-label">Natioanality</label>
			<div class="col-sm-7">
			    <p class="form-control-static">{{ $tenant->nationality ? $tenant->nationality : '-' }}</p>
			</div>
		    </div>
		    <div class="form-group form-group-sm">

			<label class="col-sm-5 control-label">Mailing Address</label>
			<div class="col-sm-7">
			    <p class="form-control-static">{{ $tenant->mailing_address ? $tenant->mailing_address : '-' }}</p>
			</div>
		    </div>
		    <div class="form-group form-group-sm">
			<label class="col-sm-5 control-label">Race</label>
			<div class="col-sm-7">			
			    <p class="form-control-static text-capitalize">{{ $tenant->race ? $tenant->race : '-' }}</p>
			</div>
		    </div>
		    <div class="form-group form-group-sm">
			<label class="col-sm-5 control-label">Mobile</label>
			<div class="col-sm-7">
			    <p class="form-control-static">{{ $tenant->mobile ? $tenant->mobile : '-' }}</p>
			</div>
		    </div>
		    <div class="form-group form-group-sm">
			<label class="col-sm-5 control-label">Home Phone</label>
			<div class="col-sm-7">
			    <p class="form-control-static">{{ $tenant->phone ? $tenant->phone : '-' }}</p>
			</div>
		    </div>
		    <div class="form-group form-group-sm">
			<label class="col-sm-5 control-label">Email</label>
			<div class="col-sm-7">
			    <p class="form-control-static">{{ $tenant->email ? $tenant->email : '-' }}</p>
			</div>
		    </div>
		    <div class="form-group form-group-sm">
			<label class="col-sm-5 control-label">Company Name</label>
			<div class="col-sm-7">
			    <p class="form-control-static">{{ $tenant->company_name ? $tenant->company_name : '-' }}</p>
			</div>
		    </div>
		    <div class="form-group form-group-sm">
			<label class="col-sm-5 control-label">Type of Business</label>
			<div class="col-sm-7">
			    <p class="form-control-static">{{ $tenant->business_type ? $tenant->business_type : '-' }}</p>
			</div>
		    </div>
		    <div class="form-group form-group-sm">
			<label class="col-sm-5 control-label">Company Address</label>
			<div class="col-sm-7">
			    <p class="form-control-static">{{ $tenant->company_address ? $tenant->company_address : '-' }}</p>
			</div>
		    </div>
		    <div class="form-group form-group-sm">
			<label class="col-sm-5 control-label">Office Phone</label>
			<div class="col-sm-7">
			    <p class="form-control-static">{{ $tenant->company_phone ? $tenant->company_phone : '-' }}</p>
			</div>
		    </div>
		    <div class="form-group form-group-sm">
			<label class="col-sm-5 control-label">Office Fax</label>
			<div class="col-sm-7">
			    <p class="form-control-static">{{ $tenant->company_fax ? $tenant->company_fax : '-' }}</p>
			</div>
		    </div>
		</form>
	    </div>
	</div>
    </div>
    <div class="col-md-7">
	<div class="row">
	    <div class="col-md-12">
		<div class="panel panel-default">
		    <div class="panel-heading">
			Billing Summary
			<a href="{{ action('PaymentController@index', array('tenant' => $tenant->id)) }}" class="btn btn-xs btn-success pull-right">Bill Payment</a>
		    </div>
		    <div class="panel-body" style="padding-top: 20px">
			<table class="table table-condensed" style="margin-bottom: 0">
			    <tbody>
				<tr>
				    <td>
					Deposit
					<span class="label label-default text-capitalize">{{ isset($deposit->id) ? 'paid' : 'unpaid' }}</span>
					@if (isset($deposit->id))
					<i>Date of Payment: {{  $deposit->created_at }}</i>
					@endif
				    </td>
				    <td class="text-right text-success">
					@if (isset($deposit->id))
					
					<a href="{{ action('PaymentController@printPayment', array('tenant' => $tenant->id, 'type' => 'deposit')) }}" target="_blank" class="btn btn-link btn-xs">
						
					Re-print</a>
					{{ 'RM ' . $deposit->total_deposit }}
					@else
					<button type="button" class="btn btn-link btn-xs" data-toggle="modal" data-target="#depositModal">Pay Now</button>
					@endif
				    </td>
				</tr>
				<tr>
				    <td>
					Current Rental Bill {{ date('M Y') }}
					@if (isset($currentRental))
					<span class="label label-default text-capitalize">{{ $currentRental->payment_status }}</span>
					@endif
				    </td>
				    <td class="text-right">
					@if (isset($currentRental))
					{{ 'RM ' . $currentRental->bill_amount }}
					@else
					-
					@endif
				    </td>
				</tr>
				<tr>
				    <td>Total Previous Outstanding Rental</td>
				    <td class="text-danger text-right">{{ 'RM ' . $totalOutstandingRental }}</td>
				</tr>
				<tr>
				    <td>
					Current Water Bill {{ date('M Y') }}
					@if (isset($currentWater))
					<span class="label label-default text-capitalize"> {{ $currentWater->payment_status }}</span>
					@endif
				    </td>
				    <td class="text-right">
					@if (isset($currentWater))
					{{ 'RM ' . $currentWater->amount_due }}
					@else
					-
					@endif
				    </td>
				</tr>
				@if (isset($otherPayment))
				<tr>
				    <td>
					{{ $otherPayment->bill_type_name }}
				    </td>
				    <td class="text-right">
					{{ $otherPayment->amount_due }}
				    </td>
				</tr>
				@endif
			    </tbody>
			</table>
		    </div>
		</div>
	    </div>
	</div>
	<div class="row">
	    <div class="col-md-12">
		<div class="panel panel-default">
		    <div class="panel-heading">
			Rental Payments History
		    </div>
		    <div class="panel-body" style="height: 105px;overflow-y:scroll;overflow-x:hidden;">
			<table class="table table-compact" style="margin-bottom: 0">
			    <thead>
				<tr>
				    <th>#</th>
				    <th>Receipt No.</th>
				    <th>Month / Year</th>
				    <th>Amount (RM)</th>
				    <th>Date Paid</th>
				    <th>Staff Incharge</th>
				    <th>Type</th>
				    <th></th>
				</tr>
			    </thead>
			    <tbody>
				@if (count($rental_payments_history))
				<?php $i = 0 ?>
				@foreach ($rental_payments_history as $row)
				<tr>
				    <td>{{ ++$i }}</td>
				    <td>{{ $row->receipt_no }}</td>
				    <td>{{ date('m / Y', strtotime($row->bill_date)) }}</td>
				    <td>{{ $row->amount_paid }}</td>
				    <td>{{ date('d-m-Y h:i A', strtotime($row->payment_date)) }}</td>
				    <td>{{ $row->name }}</td>
				    <td>
					<?php
					$paymentDate = strtotime(date('Y-m', strtotime($row->payment_date)));
					$issueDate = strtotime(date('Y-m', strtotime($row->bill_date)));
					?>
					@if ($paymentDate > $issueDate)
					Outstanding
					@elseif ($paymentDate < $issueDate)
					Advanced
					@else
					Normal
					@endif
				    </td>
				    <td><a href="{{ action('PaymentController@printPayment', array('id' => $row->id)) }}" target="_blank" class="btn btn-xs btn-link">Print</a></td>
				</tr>
				@endforeach
				@else
				<tr><td colspan="8" class="text-center">No record found</td></tr>
				@endif
			    </tbody>
			</table>
		    </div>
		</div>
	    </div>
	</div>
	<div class="row">
	    <div class="col-md-12">
		<div class="panel panel-default">
		    <div class="panel-heading">
			Water Payments History
		    </div>
		    <div class="panel-body" style="height: 105px;overflow-y:scroll;overflow-x:hidden;">
			<table class="table table-compact" style="margin-bottom: 0">
			    <thead>
				<tr>
				    <th>#</th>
				    <th>Receipt No.</th>
				    <th>Month / Year</th>
				    <th>Amount (RM)</th>
				    <th>Date Paid</th>
				    <th>Staff</th>
				    <th>Type</th>
				    <th></th>
				</tr>
			    </thead>
			    <tbody>
				@if (count($water_payments_history))
				<?php $i = 0 ?>
				@foreach ($water_payments_history as $row)
				<tr>
				    <td>{{ ++$i }}</td>
				    <td>{{ $row->receipt_no }}</td>
				    <td>{{ date('m / Y', strtotime($row->bill_date)) }}</td>
				    <td>{{ $row->amount_paid }}</td>
				    <td>{{ date('d-m-Y h:i A', strtotime($row->payment_date)) }}</td>
				    <td>{{ $row->name }}</td>
				    <td>
					<?php
					$paymentDate = strtotime(date('Y-m', strtotime($row->payment_date)));
					$issueDate = strtotime(date('Y-m', strtotime($row->bill_date)));
					?>
					@if ($paymentDate > $issueDate)
					Outstanding
					@elseif ($paymentDate < $issueDate)
					Advanced
					@else
					Normal
					@endif
				    </td>
				    <td><a href="{{ action('PaymentController@printPayment', array('id' => $row->id)) }}" target="_blank" class="btn btn-xs btn-link">Print</a></td>
				</tr>
				@endforeach
				@else
				<tr><td colspan="8" class="text-center">No record found</td></tr>
				@endif
			    </tbody>
			</table>
		    </div>
		</div>
	    </div>
	</div>
	@if (isset($otherPayment))
	<div class="row">
	    <div class="col-md-12">
		<div class="panel panel-default">
		    <div class="panel-heading">
			{{ $otherPayment->bill_type_name }} Payments History
		    </div>
		    <div class="panel-body" style="height: 105px;overflow-y:scroll;overflow-x:hidden;">
			<table class="table table-compact" style="margin-bottom: 0">
			    <thead>
				<tr>
				    <th>#</th>
				    <th>Receipt No.</th>
				    <th>Month / Year</th>
				    <th>Amount (RM)</th>
				    <th>Date Paid</th>
				    <th>Staff</th>
				    <th>Type</th>
				    <th></th>
				</tr>
			    </thead>
			    <tbody>
				@if (count($other_payments_history))
				<?php $i = 0 ?>
				@foreach ($other_payments_history as $row)
				<tr>
				    <td>{{ ++$i }}</td>
				    <td>{{ $row->receipt_no }}</td>
				    <td>{{ date('m / Y', strtotime($row->optional_bill_date)) }}</td>
				    <td>{{ $row->amount_paid }}</td>
				    <td>{{ date('d-m-Y h:i A', strtotime($row->payment_date)) }}</td>
				    <td>{{ $row->name }}</td>
				    <td>
					<?php
					$paymentDate = strtotime(date('Y-m', strtotime($row->payment_date)));
					$issueDate = strtotime(date('Y-m', strtotime($row->bill_date)));
					?>
					@if ($paymentDate > $issueDate)
					Outstanding
					@elseif ($paymentDate < $issueDate)
					Advanced
					@else
					Normal
					@endif
				    </td>
				    <td><a href="{{ action('PaymentController@printPayment', array('id' => $row->id)) }}" target="_blank" class="btn btn-xs btn-link">Print</a></td>
				</tr>
				@endforeach
				@else
				<tr><td colspan="8" class="text-center">No record found</td></tr>
				@endif
			    </tbody>
			</table>
		    </div>
		</div>
	    </div>
	</div>
	@endif
    </div>
</div>
@include('deposit_modal')
@stop
