@extends('layout')

@section('content')

@if (isset($tenant))
{{ Form::model($tenant, array('url' => route('tenant.update', $tenant->id), 'method' => 'PUT', 'class' => 'form-horizontal')) }}
@else
{{ Form::open(array('url' => route('tenant.store'), 'class' => 'form-horizontal')) }}
@endif
@if (count($errors->all()))
<div class="row" style="margin-top:20px">
    <div class="col-md-12">
	<div class="alert alert-danger alert-dismissible" role="alert">
	    <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
	    {{ HTML::ul($errors->all()) }}
	</div>
    </div>
</div>
@endif
@if (Session::has('error'))
<div class="row" style="margin-top:20px">
    <div class="col-md-12">
	<div class="alert alert-danger alert-dismissible main-alert" role="alert">
	    <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
	    <span class="fa fa-warning fa-lg"></span> {{ Session::get('error') }}
	</div>
    </div>
</div>
@endif
<div class="row">
    <div class="col-md-12">
        <h2 class="page-title">
            @if (isset($tenant))
	    Edit Tenant
	    <a href="{{ action('TenantController@create') }}" class="btn btn-sm btn-default pull-right">New Tenant</a>
            @else
	    Register Tenant
	    <a href="{{ url('tenant') }}" class="btn btn-sm btn-default pull-right">Cancel</a>
            @endif
	    <button type="submit" class="btn btn-sm btn-success pull-right btn-normal"></span> Save</button>

        </h2><hr>
    </div>
</div>
<div class="row">
    <div class="col-md-10">
	<div class="panel panel-default">
	    <div class="panel-heading">
		Profile Information
		<span class="pull-right"><small><em>*</em> <i>Mandatory fields</i></small></span>
	    </div>
	    <div class="panel-body" style="padding: 20px">
		<div class="form-group form-group-sm">
		    <label class="col-sm-2 control-label">MyKad / NRIC <em>*</em></label>
		    <div class="col-sm-4">
			{{ Form::text('ic_no', Input::old('ic_no'), array('class' => 'form-control', 'required' => 'required', 'placeholder' => 'e.g: 841112104717')) }}
		    </div>
		</div>
		<div class="form-group form-group-sm">
		    <label class="col-sm-2 control-label">Passport</label>
		    <div class="col-sm-4">
			{{ Form::text('passport_no', Input::old('passport_no'), array('class' => 'form-control')) }}
		    </div>
		</div>
		<div class="form-group form-group-sm">
		    <label class="col-sm-2 control-label">Tenant Name <em>*</em></label>
		    <div class="col-sm-6">
			{{ Form::text('tenant_name', Input::old('tenant_name'), array('class' => 'form-control', 'required' => 'required')) }}
		    </div>
		</div>
		@if (!isset($tenant))
		<div class="form-group form-group-sm">
		    <label class="col-sm-2 control-label">Unit No. <em>*</em></label>
		    <div class="col-sm-3">
			{{ Form::select('property_id', $availableUnitsOptions, Input::old('property_id'), array('placeholder' => isset($tenant) ? $tenant->unit_no : 'Select Unit', 'id' => 'input-select-unit')) }}
		    </div>
		</div>
		<div class="form-group form-group-sm">
		    <label class="col-sm-2 control-label">Other Payment</label>
		    <div class="col-sm-8">
			<div class="row">
			    <span class="col-sm-2">{{ Form::radio('other_payment', 'none') }} None</span>
			    <span class="col-sm-2">{{ Form::radio('other_payment', 3) }} MBPJ</span>
			    <span class="col-sm-2">{{ Form::radio('other_payment', 4) }} LPHS</span>
			    <span class="col-sm-2">{{ Form::radio('other_payment', 5) }} MBI</span>
			    <span class="col-sm-4" style="margin-left: -30px">{{ Form::number('other_payment_amount', null, array('class' => 'form-control', 'placeholder' => 'Amount (RM)'  )) }}</span>
			</div>
		    </div>
		</div>
		@endif
		<div class="form-group form-group-sm">
		    <label class="col-sm-2 control-label">Tenant Type</label>
		    <div class="col-sm-4">
			{{ Form::text('type', Input::old('type'), array('class' => 'form-control', 'placeholder' => 'e.g: OKU, Single Mother, etc.')) }}
		    </div>
		</div>
		<div class="form-group form-group-sm">
		    <label class="col-sm-2 control-label">Rental Rate (RM) <em>*</em></label>
		    <div class="col-sm-3">
			{{ Form::number('rental_rate', Input::old('rental_rate'), array('class' => 'form-control', 'required' => 'required')) }}
		    </div>
		</div>
		<div class="form-group form-group-sm">
		    <label class="col-sm-2 control-label">Status <em>*</em></label>
		    <div class="col-sm-8">
			<div class="row">
			    <span class="col-sm-2">{{ Form::radio('status', 'enable', Input::old('status') == 'enable', array('required' => 'required')) }} Active</span>
			    <span class="col-sm-2">{{ Form::radio('status', 'disable', Input::old('status') == 'disable') }} Inactive</span>
			</div>
		    </div>
		</div>
		<div class="form-group form-group-sm">
		    <label class="col-sm-2 control-label">Gender <em>*</em></label>
		    <div class="col-sm-8">
			<div class="row">
			    <span class="col-sm-2">{{ Form::radio('gender', 'male', Input::old('gender') == 'male', array('required' => 'required')) }} Male</span>
			    <span class="col-sm-2">{{ Form::radio('gender', 'female', Input::old('gender') == 'female') }} Female</span>
			</div>
		    </div>
		</div>
		<div class="form-group form-group-sm">
		    <label class="col-sm-2 control-label">Marital Status <em>*</em></label>
		    <div class="col-sm-8">
			<div class="row">
			    <span class="col-sm-2">{{ Form::radio('marital_status', 'single', Input::old('marital_status') == 'single', array('required' => 'required')) }} Single</span>
			    <span class="col-sm-2">{{ Form::radio('marital_status', 'married', Input::old('marital_status') == 'married') }} Married</span>
			    <span class="col-sm-2">{{ Form::radio('marital_status', 'others', Input::old('marital_status') == 'others') }} Others</span>
			    <span class="col-sm-4" style="margin-left: -30px">{{ Form::text('marital_status_text', Input::old('marital_status_text'), array('class' => 'form-control', 'placeholder' => 'Please specify'  )) }}</span>
			</div>
		    </div>
		</div>
		<div class="form-group form-group-sm">
		    <label class="col-sm-2 control-label">Natioanality <em>*</em></label>
		    <div class="col-sm-4">
			{{ Form::text('nationality', Input::old('nationality'), array('class' => 'form-control', 'required' => 'required', 'placeholder' => 'e.g: Malaysian, Singaporean, etc.')) }}
		    </div>
		</div>
		<div class="form-group">
		    <label class="col-sm-2 control-label">Mailing Address <em>*</em></label>
		    <div class="col-sm-8">
			{{ Form::textarea('mailing_address', Input::old('mailing_address'), array('class' => 'form-control', 'required' => 'required', 'rows' => '5')) }}
		    </div>
		</div>
		<div class="form-group form-group-sm">
		    <label class="col-sm-2 control-label">Race <em>*</em></label>
		    <div class="col-sm-8">
			<div class="row">
			    <span class="col-sm-2">{{ Form::radio('race', 'malay', Input::old('race') == 'malay', array('required' => 'required')) }} Malay</span>
			    <span class="col-sm-2">{{ Form::radio('race', 'chinese', Input::old('race') == 'chinese') }} Chinese</span>
			    <span class="col-sm-2">{{ Form::radio('race', 'indian', Input::old('race') == 'indian') }} Indian</span>
			    <span class="col-sm-2">{{ Form::radio('race', 'others', Input::old('race') == 'others') }} Others</span>
			    <span class="col-sm-4" style="margin-left: -30px">{{ Form::text('race_text', Input::old('race_text'), array('class' => 'form-control', 'placeholder' => 'Please specify'  )) }}</span>
			</div>
		    </div>
		</div>
		<div class="form-group form-group-sm">
		    <label class="col-sm-2 control-label">Mobile <em>*</em></label>
		    <div class="col-sm-4">
			{{ Form::text('mobile', Input::old('mobile'), array('class' => 'form-control', 'required' => 'required', 'placeholder' => 'e.g: 0123341234')) }}
		    </div>
		</div>
		<div class="form-group form-group-sm">
		    <label class="col-sm-2 control-label">Home Phone</label>
		    <div class="col-sm-4">
			{{ Form::text('phone', Input::old('phone'), array('class' => 'form-control', 'placeholder' => 'e.g: 055341234')) }}
		    </div>
		</div>
		<div class="form-group form-group-sm">
		    <label class="col-sm-2 control-label">Email</label>
		    <div class="col-sm-4">
			{{ Form::email('email', Input::old('email'), array('class' => 'form-control', 'placeholder' => 'e.g: karim@example.com')) }}
		    </div>
		</div>
	    </div>
	</div>
	<div class="panel panel-default">
	    <div class="panel-heading">
		Company Details
	    </div>
	    <div class="panel-body" style="padding: 20px">
		<div class="form-group form-group-sm">
		    <label class="col-sm-2 control-label">Company Name</label>
		    <div class="col-sm-6">
			{{ Form::text('company_name', Input::old('company_name'), array('class' => 'form-control')) }}
		    </div>
		</div>
		<div class="form-group form-group-sm">
		    <label class="col-sm-2 control-label">Type of Business</label>
		    <div class="col-sm-4">
			{{ Form::text('business_type', Input::old('business_type'), array('class' => 'form-control', 'placeholder' => 'e.g: Marketing, Industrial, etc.')) }}
		    </div>
		</div>
		<div class="form-group">
		    <label class="col-sm-2 control-label">Company Address</label>
		    <div class="col-sm-8">
			{{ Form::textarea('company_address', Input::old('company_address'), array('class' => 'form-control', 'rows' => '5')) }}
		    </div>
		</div>
		<div class="form-group form-group-sm">
		    <label class="col-sm-2 control-label">Office Phone</label>
		    <div class="col-sm-4">
			{{ Form::text('company_phone', Input::old('company_phone'), array('class' => 'form-control', 'placeholder' => 'e.g: 055341234')) }}
		    </div>
		</div>
		<div class="form-group form-group-sm">
		    <label class="col-sm-2 control-label">Fax</label>
		    <div class="col-sm-4">
			{{ Form::text('company_fax', Input::old('company_fax'), array('class' => 'form-control')) }}
		    </div>
		</div>
	    </div>
	</div>
    </div>
</div>
{{ Form::close() }}
@stop
