@extends('layout')
@section('content')
<div class="row">
    <div class="col-md-12">
        <h2 class="page-title">
        Tenants
        <a href="{{ action('TenantController@index', array('format' => 'html')) }}" target="_blank" class="btn btn-sm btn-default pull-right">Print</a>
        <a href="{{ action('TenantController@create') }}" class="btn btn-sm btn-primary pull-right">New Tenant</a>
        </h2><hr>
    </div>
</div>
<div class="row">
    <div class="col-md-3">
        <div class="panel panel-default">
            <div class="panel-heading">
                Search
            </div>
            <div class="panel-body">
                {{ Form::open(array('url' => 'tenant/search')) }}
                <div class="form-group form-group-sm">
                    <label>Status</label><br>
                    <span style="margin-right: 20px"><input type="radio" name="status" value="enable" {{ Input::get('status') == 'enable' ? 'checked' : '' }}> Active</span>
                    <span><input type="radio" name="status" value="disable" {{ Input::get('status') == 'disable' ? 'checked' : '' }}> Inactive</span>
                </div>
                <div class="form-group form-group-sm">
                    <label>Block</label><br>
                    <span style="margin-right: 10px">
                    <input type="checkbox" name="block[]" value="a" {{ in_array('a', $blocks) ? 'checked' : ''  }}> A
                    </span>
                    <span style="margin-right: 10px">
                    <input type="checkbox" name="block[]" value="b" {{ in_array('b', $blocks) ? 'checked' : '' }}> B
                    </span>
                    <span style="margin-right: 10px">
                    <input type="checkbox" name="block[]" value="c" {{ in_array('c', $blocks) ? 'checked' : '' }}> C
                    </span>
                    <span style="margin-right: 10px">
                    <input type="checkbox" name="block[]" value="d" {{ in_array('d', $blocks) ? 'checked' : '' }}> D
                    </span>
                </div>
                <button type="submit" class="btn btn-block btn-info btn-sm" style="margin-top: 10px">Submit</button>
                {{ Form::close() }}
            </div>
        </div>
        <div class="panel panel-default">
            <div class="panel-heading">
                Block Details
            </div>
            <div class="panel-body">
                <table class="table table-condensed text-center">
                    <thead>
                        <tr>
                            <th class="text-center">Block</th>
                            <th class="text-center">Active</th>
                            <th class="text-center">Inactive</th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php $sumActive = 0 ?>
                        <?php $sumInactive = 0 ?>
                        @foreach($blockActive as $active)
                        <tr>
                            <td class="text-capitalize">{{ $active->block }}</td>
                            <td>
                                {{ $active->count }}
                                <?php $sumActive += $active->count ?>
                            </td>
                            <td>
                                <?php $match = false ?>
                                @foreach ($blockInactive  as $inactive)
                                @if ($inactive->block == $active->block)
                                {{ $inactive->count }}
                                <?php
                                $match = true;
                                $sumInactive += $inactive->count;
                                break;
                                ?>
                                @endif
                                @endforeach
                                {{ $match ? '' : 0 }}
                            </td>
                        </tr>
                        @endforeach
                        <tr>
                            <td>Total</td>
                            <td>{{ $sumActive }}</td>
                            <td>{{ $sumInactive }}</td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
    <div class="col-md-9">
        <div class="row" style="margin-bottom: 20px">
            <div class="col-md-6">
                <span class="text-warning">{{ $paginationText }}</span>
            </div>
            <div class="col-md-6">
                <div class="pull-right">{{ $paginationLinks }}</div>
            </div>
        </div>
        <table class="table table-list table-striped table-condensed">
            <thead>
                <tr>
                    <th>#</th>
                    <th>Tenant Name</th>
                    <th>IC Number /<br>Passport</th>
                    <th>Unit</th>
                    <th>Block</th>
                    <th>Status</th>
                    <th>Registered By</th>
                    <th style="width:160px">Action</th>
                </tr>
            </thead>
            <tbody>
                <?php $i = 0 ?>
                @if (count($tenants))
                @foreach($tenants as $tenant)
                <tr>
                    <td>{{ $i + $tenants->getFrom() }}</td>
                    <td><a href="{{ action('TenantController@show', $tenant->id) }}">{{ $tenant->tenant_name }}</a></td>
                    <td>{{ $tenant->ic_no }}</td>
                    <td>{{ $tenant->unit_no }}</td>
                    <td class="text-capitalize">{{ $tenant->block }}</td>
                    <td>{{ $tenant->status == 'enable' ? 'Active' : 'Inactive' }}</td>
                    <td>{{ $tenant->name }}</td>
                    <td>
                        <a href="{{ action('TenantController@edit', $tenant->id) }}" class="btn btn-info btn-xs">Edit</a>
                        <a href="{{ action('TenantController@noticeHistory', $tenant->id) }}" class="btn btn-warning btn-xs">History</a>
                        @if ($tenant->status == 'enable')
                        <button data-url="{{ action('TenantController@postTenantStatus', $tenant->id) }}" class="btn btn-activate btn-xs activate-btn">
                        Deactivate
                        </button>
                        @endif
                    </td>
                </tr>
                <?php $i++ ?>
                @endforeach
                @else
                <tr><td colspan="8" class="grey text-center">No record found</td></tr>
                @endif
            </tbody>
        </table>
    </div>
</div>
@stop