@extends('layout')

@section('content')

@if (isset($user))
	@if (Auth::user()->type == 'admin')
		{{ Form::model($user, array('route' => array('user.update', $user->id), 'method' => 'PUT', 'class' => 'form-horizontal')) }}

	@else
		{{ Form::model($user, array('route' => array('profile.update', $user->id), 'method' => 'PUT', 'class' => 'form-horizontal')) }}
	@endif
@else
{{ Form::open(array('url' => 'user', 'class' => 'form-horizontal')) }}
@endif
<div class="row">
    <div class="col-md-12">
	@if (count($errors->all()))
	<div class="alert alert-danger alert-dismissible" role="alert">
	    <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
	    {{ HTML::ul($errors->all()) }}
	</div>
        @endif
        <h2 class="page-title">
            @if (isset($user))
	    @if(isset($user) && $user->id == Auth::id())
	    My Profile
	    @else
	    Edit User
	    <a href="{{ url('user/create') }}" class="btn btn-sm btn-primary pull-right">New User</a>
	    @endif
            @else
	    Add User
            @endif
	    <a href="{{ URL::previous() }}" class="btn btn-sm btn-default pull-right">Cancel</a>
	    <button type="submit" class="btn btn-sm btn-success btn-normal pull-right">Save</button>
        </h2><hr>
    </div>
</div>
<div class="row">
    <div class="col-md-8">
	@if (!isset($user))
	<div class="form-group form-group-sm">
            <label class="col-sm-3 control-label">Role</label>
            <div class="col-sm-6">
                {{ Form::select('type', $userTypeOptions, Input::old('type'), array('class' => 'form-control', 'id' => 'user-type-field')) }}
            </div>
        </div>
	@endif
	<div class="form-group form-group-sm" id="location-div">
            <label class="col-sm-3 control-label">Project - Location</label>
            <div class="col-sm-6">
                {{ Form::select('location_id', $locationOptions, Input::old('location_id'), array('class' => 'form-control', 'id' => 'location-field')) }}
            </div>
        </div>
        <div class="form-group form-group-sm">
            <label class="col-sm-3 control-label">Name</label>
            <div class="col-sm-6">
                {{ Form::text('name', Input::old('name'), array('class' => 'form-control', 'required' => 'required', 'placeholder' => 'Abdul Rahman')) }}
            </div>
        </div>
	<div class="form-group form-group-sm">
            <label class="col-sm-3 control-label">Email</label>
            <div class="col-sm-6">
                {{ Form::text('email', Input::old('email'), array('class' => 'form-control', 'required' => 'required', 'placeholder' => 'ahmad@example.com')) }}
            </div>
        </div>
	<div class="form-group form-group-sm">
	    <label class="col-sm-3 control-label">Username</label>
	    <div class="col-sm-6">
		@if (!isset($user))
		{{ Form::text('username', Input::old('username'), array('class' => 'form-control', 'required' => 'required', 'placeholder' => 'rahman88')) }}
		@else
		{{ Form::text('username', $user->username, array('class' => 'form-control', 'disabled' => 'disabled')) }}
		@endif
	    </div>
	</div>
	@if (!isset($user) || (isset($user) && $user->id == Auth::id()))
	@if(isset($user) && $user->id == Auth::id())
	<div class="form-group form-group-sm">
	    <label class="col-sm-3 control-label">Old Password</label>
	    <div class="col-sm-6">
		{{ Form::password('old_password', array('class' => 'form-control')) }}
	    </div>
	</div>
	<div class="form-group form-group-sm">
	    <label class="col-sm-3 control-label">New Password</label>
	    <div class="col-sm-6">
		{{ Form::password('new_password', array('class' => 'form-control')) }}
	    </div>
	</div>
	<div class="form-group form-group-sm">
	    <label class="col-sm-3 control-label">Confirm New Password</label>
	    <div class="col-sm-6">
		{{ Form::password('new_password_confirmation', array('class' => 'form-control')) }}
	    </div>
	</div>
	@else
	<div class="form-group form-group-sm">
	    <label class="col-sm-3 control-label">Password</label>
	    <div class="col-sm-6">
		{{ Form::password('password', array('class' => 'form-control', 'required' => 'required')) }}
	    </div>
	</div>
	<div class="form-group form-group-sm">
	    <label class="col-sm-3 control-label">Confirm Password</label>
	    <div class="col-sm-6">
		{{ Form::password('password_confirmation', array('class' => 'form-control', 'required' => 'required')) }}
	    </div>
	</div>
	@endif
	@endif
    </div>
</div>
{{ Form::close() }}
@stop
