@extends('layout')

@section('content')
<div class="row">
    <div class="col-md-12">
	<h2 class="page-title">
	    Users
	    <a href="{{ url('user/create') }}" class="btn btn-sm btn-primary pull-right">New User</a>
	</h2><hr>
    </div>
</div>
<div class="row">
    <div class="col-md-12">
	<div class="row" style="margin-bottom: 20px">

	    <div class="col-md-6">
		<span class="text-warning">{{ $paginationText }}</span>
	    </div>
	    <div class="col-md-6">
		<div class="pull-right">{{ $paginationLinks }}</div>
	    </div>
	</div>
	<table class="table table-list table-striped table-condensed">
	    <thead>
		<tr>
		    <th>#</th>
		    <th>Name</th>
		    <th>Username</th>
		    <th>Email</th>
		    <th>Role</th>
		    <th>Project</th>
		    <th>Location</th>
		    <th>Other Location</th>
		    <th></th>
		</tr>
	    </thead>
	    <tbody>
		<?php $i = 0 ?>
		@if (count($users))
		@foreach($users as $user)        
		<tr>
		    <td>{{ $i + $users->getFrom() }}</td>
		    <td>{{ $user->name }}</td>
		    <td>{{ $user->username }}</td>
		    <td>{{ $user->email }}</td>
		    <td class="text-capitalize">{{ $user->type }}</td>
		    <td class="text-capitalize">{{ $user->project_name }}</td>
		    <td class="text-capitalize">{{ $user->location_name }}</td>
		    <td>
			<ul style="padding-left: 10px">
			@foreach($user->extraLocations() as $location)
			<li>{{ $location->location_name }}</li>
			@endforeach
			</ul>
		    </td>
		    <td>
			<a href="{{ action('UserController@assignLocation', $user->id) }}" class="btn btn-warning btn-xs">Locations</a>
			<a href="{{ action('UserController@edit', $user->id) }}" class="btn btn-info btn-xs">Edit</a>
			<button data-url="{{ action('UserController@destroy', $user->id) }}" class="btn btn-danger btn-xs delete-btn">Delete</button>
		    </td>
		</tr>
		<?php $i++ ?>
		@endforeach
		@else
		<tr><td colspan="8" class="grey text-center">No record found</td></tr>
		@endif
	    </tbody>
	</table>
    </div>
</div>

@stop
