$(document).ready(function () {

    var billPaymentData = {};
    var printIds = [];

    $('#submit-payment-btn').on('click', function () {
        var url = $(this).data('url');

        // set require field in post
        var tenantId = $(this).data('id');
        var waterAmount = $('#water-amount-field').val();
        var waterDate = $('#water-date-field').val();
        var rentalAmount = $('#rental-amount-field').val();
        var otherAmount = $('#other-amount-field').val();
        var otherDate = $('#other-date-field').val();

        if (waterAmount == 0 && otherAmount == 0 && rentalAmount == 0) return;
        
        // send post request
        $.post(url, {tenant_id: tenantId, water_amount: waterAmount, water_date: waterDate, rental_amount: rentalAmount, other_date: otherDate, other_amount: otherAmount}, function (data) {
            console.log(data);
            billPaymentData = data;

            if ($.isEmptyObject(billPaymentData) === false || waterAmount != 0 || otherAmount != 0) {
                $('#done-payment-btn').removeClass('disabled btn-default');
                $('#done-payment-btn').addClass('btn-success');
            }

            // append data to table rental as preview of payment will be made, but clear first
            $('#rental-payment-table').html('');
            $.each(data.rental, function (i, row) {

                var html = '<tr>';
                html += '<td>' + (i + 1) + '</td>';
                html += '<td>' + row.mon_year + '</td>';
                html += '<td>' + row.type + '</td>';
                html += '<td>' + row.amount_paid + '</td>';
                html += '<td>' + row.amount_due + '</td>';
                html += '</tr>'
                $('#rental-payment-table').append(html);
            })

            $('#water-payment-table').html('');
            $.each(data.water, function (i, row) {

                var html = '<tr>';
                html += '<td>' + (i + 1) + '</td>';
                html += '<td>' + row.mon_year + '</td>';
                html += '<td>' + row.type + '</td>';
                html += '<td>' + row.amount_paid + '</td>';
                html += '<td>' + row.amount_due + '</td>';
                html += '</tr>'
                $('#water-payment-table').append(html);
            })
            
            $('#other-payment-table').html('');
            $.each(data.other, function (i, row) {

                var html = '<tr>';
                html += '<td>' + (i + 1) + '</td>';
                html += '<td>' + row.mon_year + '</td>';
                html += '<td>' + row.type + '</td>';
                html += '<td>' + row.amount_paid + '</td>';
                html += '<td>' + row.amount_due + '</td>';
                html += '</tr>'
                $('#other-payment-table').append(html);
            })

        });

    })

    $('#done-payment-btn').on('click', function () {
        var tenantId = $(this).data('id');
        var url = $(this).data('url');
        var waterDate = $('#water-date-field').val();
        var waterAmount = $('#water-amount-field').val();
        var otherAmount = $('#other-amount-field').val();
        var otherDate = $('#other-date-field').val();

        $.post(url, {tenant_id: tenantId, water: waterAmount, water_date: waterDate, rental: billPaymentData.rental, other: otherAmount, other_date: otherDate}, function (data) {

            if (data.status === 'ok') {
                var win = window.open(data.print_url, '_blank');
                if (win) {
                    win.focus();
                    location.reload();
                }
                else {
                    alert('Please enable blocked pop-up');
                }
            }
            else {
                $('#message-modal-body').html(data.message);
                $('#message-close-btn').on('click', function () {
                    $('#message-modal').modal('toggle')
                });
                $('#message-modal').modal();
            }
        });
    })

    $('#reset-payment-btn').on('click', function () {

        // clear form and tables
        $('#rental-amount-field').val(0);
        $('#water-amount-field').val(0);
        $('#rental-payment-table').html('');
        $('#water-payment-table').html('');

        $('#done-payment-btn').removeClass('btn-success');
        $('#done-payment-btn').addClass('disabled btn-default');
        billPaymentData = {};
    })

    $(document).ready(function () {
        $('#datetimepicker10').datetimepicker({format: 'MMM YYYY'});
    })
    
    $(document).ready(function () {
        $('#datetimepicker11').datetimepicker({format: 'MMM YYYY'});
    })

});