$(document).ready(function () {
    // autofill
    $('#autofill-btn').on('click', function () {
        $('#two-month-field').val($('#two-month').val());
        $('#one-month-field').val($('#one-month').val());
        $('#utilities-field').val($('#utility-fee').val());
        $('#management-field').val($('#management-fee').val());

        calculateTotal();
    })

    $('#reset-btn').on('click', function () {
        $('#total-deposit').text('');
    })
    
    $('#two-month-field,#one-month-field,#utilities-field,#management-field').on('change', function() {
        calculateTotal();
    })

    function calculateTotal() {
        var two = parseFloat($('#two-month-field').val());
        var one = parseFloat($('#one-month-field').val());
        var ut = parseFloat($('#utilities-field').val());
        var mg = parseFloat($('#management-field').val());
        var total = two + one + ut + mg;
        $('#total-deposit').text('RM ' + total);
    }

    $('#deposit-form').submit(function (e) {
        e.preventDefault(); // don't submit multiple times
        var tenantId = $('#tenant-id').val();
        var postURL = $(this).attr('action');

        var two = parseFloat($('#two-month-field').val());
        var one = parseFloat($('#one-month-field').val());
        var ut = parseFloat($('#utilities-field').val());
        var mg = parseFloat($('#management-field').val());
        var note = $('#note-field').val();
        var my = $('#mon-year-field').val();
        var desc = $('#description-field').val();

        $.post(postURL, {
            two_month_rental: two,
            one_month_rental: one,
            utilities: ut,
            management_fee: mg,
            mon_year: my,
            description: desc,
            note: note,
            tenant_id: tenantId
        }, function (data) {
            if (data.status === 'ok') {
                var url = location.origin + '/print/receipt?type=deposit&tenant=' + tenantId;
                var win = window.open(url, '_blank');
                if (win) {
                    win.focus();
                    
                }
                else {
                    alert('Please enable blocked pop-up');
                }
                
                location.reload();
            }
            else {
                $('#depositModal').modal('toggle')
                
                $('#message-modal-body').html(data.message);
                $('#message-close-btn').on('click', function () {
                    $('#message-modal').modal('toggle')
                });
                $('#message-modal').modal();
            }
        });
    });
})